<?php

/*++++++++++++++++++++++++++++++++++++++++

  Script: Maian Greetings v2.1
  Written by: David Ian Bennett
  E-Mail: N/A
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++

  This File: class_backup.inc.php
  Description: Backup MySQL Class
  Written by: Ivn Ariel Melgrati
  Modified by: David Ian Bennett

  ++++++++++++++++++++++++++++++++++++++++*/


class SQL_Backup {

                  var $dbname;
                  var $newline;
                  var $struct_only   = false;
                  var $compress      = false;
                  var $sqltables     = array();
                  var $scriptname;
                  var $scriptauthor  = 'MSWorld';
                  var $scriptemail   = 'archive@maianscriptworld.com';

                  //======================================
                  // FUNCTION: sql_backup()
                  // Desc: Class Constructor
                  // Parameters: 0
                  //======================================

                  function SQL_Backup()
                  {
                       $this->newline   = $this->_define_newline();
                  }

                  //======================================
                  // FUNCTION: _backup()
                  // Desc: Generate Database Data
                  // Parameters: 0
                  //======================================

                  function _backup()
                  {
                       $now = gmdate('D, d M Y H:i:s') . ' GMT';

                       $newfile = '';

                       $newfile.= "#------------------------------------------".$this->newline;
                       $newfile.= "# Database Backup Class by Ivn Melgrati".$this->newline;
                       $newfile.= "# Database: $this->dbname".$this->newline;
                       $newfile.= "# Script Name: $this->scriptname".$this->newline;
                       $newfile.= "# Script Author: $this->scriptauthor".$this->newline;
                       $newfile.= "# Contact: $this->scriptemail".$this->newline;
                       $newfile.= "# Date: $now".$this->newline;
                       $newfile.= "#------------------------------------------".$this->newline.$this->newline;

                       $query = mysql_query("SHOW TABLES from `$this->dbname`") or die(mysql_error());

                       while (list($table) = mysql_fetch_row($query))
                       {
                            if (in_array($table, $this->sqltables))
                            {
                                 $newfile .= $this->_get_def($table);
                                 $newfile .= "$this->newline";

                                 if(!$this->struct_only)
                                 {
                                      $newfile .= $this->_get_content($table);
                                      $newfile .= "$this->newline";
                                 }
                            }
                       }

                       $this->_out($newfile);
                  }

                  //======================================
                  // FUNCTION: _out()
                  // Desc: Send Output to Browser
                  // Parameters: 1
                  //======================================

                  function _out($dump)
                  {
                       if($this->compress)
                       {
                            $gzbackupData = "\x1f\x8b\x08\x00\x00\x00\x00\x00".substr(gzcompress($dump,9),0,-4).pack('V',crc32($dump)).pack('V',strlen($dump));

                            echo $gzbackupData;
                       }
                       else
                       {
                            echo $dump;
                       }
                  }

                  //===========================================
                  // FUNCTION: _get_def()
                  // Desc: Generate Selected Table Definition
                  // Parameters: 1
                  //===========================================

                  function _get_def($tablename)
                  {
                       $def = "";
                       $def .="#------------------------------------------".$this->newline;
                       $def .="# Table definition for $tablename".$this->newline;
                       $def .="#------------------------------------------".$this->newline;
                       $def .= "DROP TABLE IF EXISTS $tablename;".$this->newline.$this->newline;
                       $def .= "CREATE TABLE $tablename (".$this->newline;

                       $result = mysql_query("SHOW FIELDS FROM `$tablename`") or die(mysql_error());

                       while($row = mysql_fetch_array($result))
                       {
                            $def .= "    $row[Field] $row[Type]";

                            if ($row["Default"] != "")
                            {
                                 $def .= " DEFAULT '$row[Default]'";
                            }
                            if ($row["Null"] != "YES")
                            {
                                 $def .= " NOT NULL";
                            }
                            if ($row["Extra"] != "")
                            {
                                 $def .= " $row[Extra]";
                            }

                            $def .= ",$this->newline";
                       }

                       $def = ereg_replace(",$this->newline$","", $def);

                       $result = mysql_query("SHOW KEYS FROM `$tablename`") or die(mysql_error());

                       while($row = mysql_fetch_array($result))
                       {
                            $kname = $row["Key_name"];

                            if(($kname != "PRIMARY") && ($row["Non_unique"] == 0))
                            {
                                 $kname = "UNIQUE|$kname";
                            }
                            if(!isset($index[$kname]))
                            {
                                 $index[$kname] = array();
                            }

                            $index[$kname][] = $row["Column_name"];
                       }

                       while(list($x, $columns) = each($index))
                       {
                            $def .= ",$this->newline";

                            if($x == "PRIMARY")
                            {
                                 $def .= "   PRIMARY KEY (" . implode($columns, ", ") . ")";
                            }
                            else if (substr($x,0,6) == "UNIQUE")
                            {
                                 $def .= "   UNIQUE ".substr($x,7)." (" . implode($columns, ", ") . ")";
                            }
                            else
                            {
                                 $def .= "   KEY $x (" . implode($columns, ", ") . ")";
                            }
                       }

                       $def .= "$this->newline);";

                       return (stripslashes($def));
                  }

                  //======================================
                  // FUNCTION: _get_content()
                  // Desc: Generate Table Data
                  // Parameters: 1
                  //======================================

                  function _get_content($tablename)
                  {
                       $content = "";

                       $result = mysql_query("SELECT * FROM $tablename") or die(mysql_error());

                       if(mysql_num_rows($result)>0)
                       {
                            $content .="#------------------------------------------".$this->newline;
                            $content .="# Data inserts for $tablename".$this->newline;
                            $content .="#------------------------------------------".$this->newline;
                       }

                       while($row = mysql_fetch_row($result))
                       {
                            $insert = "INSERT INTO $tablename VALUES (";

                            for($j=0; $j<@mysql_num_fields($result);$j++)
                            {
                                 if(!isset($row[$j]))
                                 {
                                      $insert .= "NULL,";
                                 }
                                 else if($row[$j] != "")
                                 {
                                      $insert .= "'".addslashes($row[$j])."',";
                                 }
                                 else
                                 {
                                      $insert .= "'',";
                                 }
                            }

                            $insert = ereg_replace(",$", "", $insert);
                            $insert .= ");$this->newline";
                            $content .= $insert;
                       }

                       return $content.$this->newline;
                  }

                  //======================================
                  // FUNCTION: _define_newline()
                  // Desc: Define New Line (OS Dependant)
                  // Parameters: 0
                  //======================================

                  function _define_newline()
                  {
                       $unewline = "\r\n";

                       if (strstr(strtolower($_SERVER["HTTP_USER_AGENT"]), 'win'))
                       {
                            $unewline = "\r\n";
                       }
                       else if (strstr(strtolower($_SERVER["HTTP_USER_AGENT"]), 'mac'))
                       {
                            $unewline = "\r";
                       }
                       else
                       {
                            $unewline = "\n";
                       }

                       return $unewline;
                  }

                  //======================================
                  // FUNCTION: _get_browser_type()
                  // Desc: Define Client Browser
                  // Parameters: 0
                  //======================================

                  function _get_browser_type()
                  {
                       $USER_BROWSER_AGENT = "";

                       if (ereg('OPERA(/| )([0-9].[0-9]{1,2})', strtoupper($_SERVER["HTTP_USER_AGENT"]), $log_version))
                       {
                            $USER_BROWSER_AGENT = 'OPERA';
                       }
                       else if (ereg('MSIE ([0-9].[0-9]{1,2})',strtoupper($_SERVER["HTTP_USER_AGENT"]), $log_version))
                       {
                            $USER_BROWSER_AGENT = 'IE';
                       }
                       else if (ereg('OMNIWEB/([0-9].[0-9]{1,2})', strtoupper($_SERVER["HTTP_USER_AGENT"]), $log_version))
                       {
                            $USER_BROWSER_AGENT = 'OMNIWEB';
                       }
                       else if (ereg('MOZILLA/([0-9].[0-9]{1,2})', strtoupper($_SERVER["HTTP_USER_AGENT"]), $log_version))
                       {
                            $USER_BROWSER_AGENT = 'MOZILLA';
                       }
                       else if (ereg('KONQUEROR/([0-9].[0-9]{1,2})', strtoupper($_SERVER["HTTP_USER_AGENT"]), $log_version))
                       {
                            $USER_BROWSER_AGENT = 'KONQUEROR';
                       }
                       else
                       {
                            $USER_BROWSER_AGENT = 'OTHER';
                       }

                       return $USER_BROWSER_AGENT;
                  }

                  //======================================
                  // FUNCTION: _get_mime_type()
                  // Desc: Define Mime Type for Browser
                  // Parameters: 0
                  //======================================

                  function _get_mime_type()
                  {
                       $USER_BROWSER_AGENT = $this->_get_browser_type();

                       $mime_type = ($USER_BROWSER_AGENT == 'IE' || $USER_BROWSER_AGENT == 'OPERA')
                       ? 'application/octetstream'
                       : 'application/octet-stream';

                       return $mime_type;
                  }

                  //======================================
                  // FUNCTION: perform_backup()
                  // Desc: Creates Backup
                  // Parameters: 0
                  //======================================

                  function perform_backup()
                  {
                       $now = gmdate('D, d M Y H:i:s') . ' GMT';

                       if ($this->compress)
                       {
                            $filename  = $this->dbname.".sql";
                            $ext       = "gz";
                       }
                       else
                       {
                            $filename  = $this->dbname;
                            $ext       = "sql";
                       }

                       $USER_BROWSER_AGENT = $this->_get_browser_type();

                       header('Content-Type: ' . $this->_get_mime_type());
                       header('Expires: ' . $now);

                       if ($USER_BROWSER_AGENT == 'IE')
                       {
                            header('Content-Disposition: inline; filename="' . basename($filename) . '.' . $ext . '"');
                            header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
                            header('Pragma: public');
                       }
                       else
                       {
                            header('Content-Disposition: attachment; filename="' . basename($filename) . '.' . $ext . '"');
                            header('Pragma: no-cache');
                       }

                       $this->_backup();
                  }
}

?>
