<?php

/*++++++++++++++++++++++++++++++++++++++++

  Script: Maian Greetings v2.1
  Written by: David Ian Bennett
  E-Mail: N/A
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++
  
  This File: class_csvdump.inc.php
  Description: Creates CSV Files

  ++++++++++++++++++++++++++++++++++++++++*/

include('../classes/class_generic.inc.php');

class csvDump extends genericOptions {

                                      var $prefix;
                                      var $fields = array();
                                      var $sql;
                                      
                                      //=========================================================
                                      // FUNCTION: define_newline()
                                      // Desc: Define EOL character according to target OS
                                      // Parameters: 0
                                      //=========================================================
                                      
                                      function define_newline()
                                      {
                                           $unewline = "\r\n";

                                           if (strstr(strtolower($_SERVER["HTTP_USER_AGENT"]), 'win'))
                                           {
                                                $unewline = "\r\n";
                                           }
                                           else if (strstr(strtolower($_SERVER["HTTP_USER_AGENT"]), 'mac'))
                                           {
                                                $unewline = "\r";
                                           }
                                           else
                                           {
                                                $unewline = "\n";
                                           }

                                           return $unewline;
                                      }
                                      
                                      //=============================================================
                                      // FUNCTION: check_csv()
                                      // Desc: Data found with comma needs to be enclosed in quotes
                                      // Parameters: 1
                                      //=============================================================
                                      
                                      function check_csv($data)
                                      {
                                           if (strstr($data, ","))
                                           {
                                               $new_data = '"' . $data . '"';
                                               
                                               return $new_data;
                                           }
                                           else
                                           {
                                               return $data;
                                           }
                                      }

                                      //=========================================================
                                      // FUNCTION: generate_csv()
                                      // Desc: Generates a CSV File from an SQL String
                                      //  (and outputs it to the browser)
                                      // Parameters: 0
                                      //=========================================================

                                      function generate_csv()
                                      {
                                           $query = mysql_query("SELECT * FROM ".$this->prefix."accounts$this->sql") or die(mysql_error());

                                           $file = "";

                                           $crlf = $this->define_newline();

                                           //Build field names array
                                           
                                           $field_array = array();

                                           if (in_array('id', $this->fields))
                                           {
                                                $field_array[] = 'id';
                                           }
                                           if (in_array('userdate', $this->fields))
                                           {
                                                $field_array[] = 'userdate';
                                           }
                                           if (in_array('username', $this->fields))
                                           {
                                                $field_array[] = 'username';
                                           }
                                           if (in_array('useremail', $this->fields))
                                           {
                                                $field_array[] = 'useremail';
                                           }
                                           if (in_array('ipaddress', $this->fields))
                                           {
                                                $field_array[] = 'ipaddress';
                                           }

                                           $DATA_ONE = implode(",", $field_array);
                                           
                                           $csv_field = $DATA_ONE . $crlf;
                                           
                                           //Now build data string
                                           
                                           $data_string = '';

                                           while ($row = mysql_fetch_array($query))
                                           {
                                                if (in_array('id', $this->fields))
                                                {
                                                     $data_string .= $row['id'] . ',';
                                                }
                                                if (in_array('userdate', $this->fields))
                                                {
                                                     $data_string .= $this->check_csv($row['userdate']) . ',';
                                                }
                                                if (in_array('username', $this->fields))
                                                {
                                                     $data_string .= $this->char_back($this->strip_slashes($this->check_csv($row['username']))) . ',';
                                                }
                                                if (in_array('useremail', $this->fields))
                                                {
                                                     $data_string .= $row['useremail'] . ',';
                                                }
                                                if (in_array('ipaddress', $this->fields) && $row['ipaddress'])
                                                {
                                                     $data_string .= $row['ipaddress'] . ',';
                                                }

                                                $data_string = substr($data_string,0,-1);

                                                $data_string .= $crlf;
                                           }

                                           return $csv_field . $data_string;
                                      }

                                      //=========================================================
                                      // FUNCTION: dump()
                                      // Desc: Generate the CSV File and send it to browser
                                      //  or download it as a file
                                      // Parameters: 0
                                      //=========================================================

                                      function dump()
                                      {
                                           //-------------------------------------------------
                                           // Get CSV data and write file to backup directory
                                           //-------------------------------------------------

                                           $CSV = $this->generate_csv();

                                           $filename = 'backup/csv_dump.csv';
                                           
                                           if (is_writeable('backup/') && is_dir('backup/'))
                                           {
                                                $fp = fopen($filename, 'ab');

                                                if ($fp)
                                                {
                                                     fwrite($fp,$CSV);
                                                     fclose($fp);
                                                }
                                           }
                                           
                                           unset($CSV);

                                           //--------------------------------------------------------
                                           // For IE if content disposition headers are playing up
                                           //--------------------------------------------------------

                                           if(ini_get('zlib.output_compression'))
                                           {
                                                ini_set('zlib.output_compression', 'Off');
                                           }
                                           
                                           header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
                                           header('Pragma: public');
		                           header('Expires: 0');
		                           header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
		                           header('Cache-Control: private',false);
		                           header('Content-Type: ' . $this->get_mime_type());
		                           header('Content-Disposition: attachment; filename=' . basename($filename).';');
		                           header('Content-Transfer-Encoding: binary');
		                           header('Content-Length: ' . filesize($filename));
		                           
                                           readfile($filename);

                                           if (file_exists($filename))
                                           {
                                                unlink($filename);
                                                unset($filename);
                                           }
                                      }
}

?>
