<?php

/*++++++++++++++++++++++++++++++++++++++++

  Script: Maian Greetings v2.1
  Written by: David Ian Bennett
  E-Mail: N/A
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++
  
  This File: class_templates.inc.php
  Description: Template Class

  ++++++++++++++++++++++++++++++++++++++++*/


include('../classes/class_generic.inc.php');

class template extends genericOptions {

                                       var $file;
                                       var $folder;
                                       var $template;
                                       var $find;
                                       var $replace;
                                       var $multiple = array();
                                       
                                       //===============================================
                                       // Function: write_multiple_template_data()
                                       // Writes data to new files
                                       // Parameters: 0
                                       // This was added in v2.1
                                       //===============================================
                                       
                                       function write_multiple_template_data()
                                       {
                                         if (count($this->multiple)>0)
                                         {
                                           foreach ($this->multiple as $f)
                                           {
                                             $fp    = fopen($this->folder . '/temp_' . $f, "w+");
                                             $file  = file_get_contents($this->folder . '/'. $f);

                                             if ($this->find && $this->replace)
                                             {
                                               $file = str_replace($this->find,$this->replace,$file);
                                             }

                                             if ($fp)
                                             {
                                                 fwrite($fp,$this->strip_slashes($file));
                                                 fclose($fp);
                                             }

                                             if (file_exists($this->folder . '/temp_' . $f))
                                             {
                                               unlink($this->folder . '/' . $f);
                                               
                                               rename($this->folder . '/temp_' . $f, $this->folder . '/' . $f);
                                             }
                                           }
                                         }  
                                       }

                                       //======================================
                                       // Function: write_template_data()
                                       // Writes data to new file
                                       // Parameters: 0
                                       //======================================

                                       function write_template_data()
                                       {
                                            $fp = fopen($this->folder . '/temp_' . $this->file, "w+");

                                            if ($fp)
                                            {
                                                 fwrite($fp,$this->template);
                                                 fclose($fp);
                                            }

                                            if (file_exists($this->folder . '/temp_' . $this->file))
                                            {
                                                 return true;
                                            }
                                            else
                                            {
                                                 return false;
                                            }
                                       }

                                       //==================================
                                       // Function: delete_file()
                                       // Remove old file from server
                                       // Parameters: 0
                                       //==================================

                                       function delete_file()
                                       {
                                            if (file_exists($this->folder . '/' . $this->file))
                                            {
                                                 unlink($this->folder . '/' . $this->file);
                                            }
                                       }

                                       //=================================
                                       // Function: rename_file()
                                       // Rename new file to old file
                                       // Parameters: 0
                                       //=================================
                         
                                       function rename_file()
                                       {
                                            rename($this->folder . '/temp_' . $this->file, $this->folder . '/' . $this->file);

                                            if (file_exists($this->folder . '/' . $this->file))
                                            {
                                                 return true;
                                            }
                                            else
                                            {
                                                 return false;
                                            }
                                       }

                                       //========================================
                                       // Function: restore_template_data()
                                       // Writes data to new file
                                       // Parameters: 0
                                       //========================================

                                       function restore_template_data()
                                       {
                                            $fp = fopen($this->folder . '/' . $this->file, "w+");

                                            if ($fp)
                                            {
                                                 fwrite($fp,$this->template);
                                                 fclose($fp);
                                            }

                                            if (file_exists($this->folder . '/' . $this->file))
                                            {
                                                 return true;
                                            }
                                            else
                                            {
                                                 return false;
                                            }
                                       }
}

?>
