<?php

/*++++++++++++++++++++++++++++++++++++++++

  Script: Maian Greetings v2.1
  Written by: David Ian Bennett
  E-Mail: N/A
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++
  
  This File: class_eventcalendar.inc.php
  Description: Event Calendar Class

  ++++++++++++++++++++++++++++++++++++++++*/

include('class_modR.inc.php');

class eventCalendar
 extends ModR        {

                     //=========================
                     // Editable Variables
                     //=========================
                     
                     var $border         = 'border: 1px solid #68A7DA';
                     var $color_cur_day  = 'font-size:11px;padding:5px;background-color:#68A7DA;color:#FFFFFF;border-bottom: 1px solid #000000;border-right: 1px solid #000000';
                     var $color_days     = 'font-size:11px;padding:5px;background-color:#F0F6FF;border-bottom: 1px solid #68A7DA;border-right: 1px solid #68A7DA';
                     var $font_color     = 'color:#FF0000';
                     
                     //=======================================
                     // Array for Cal Days
                     // Change values (on the right) ONLY
                     // So, only values to the RIGHT of =>
                     //=======================================

                     var $Cdays          = array(
                                                 'mon'    =>    'Mon',
                                                 'tue'    =>    'Tue',
                                                 'wed'    =>    'Wed',
                                                 'thu'    =>    'Thu',
                                                 'fri'    =>    'Fri',
                                                 'sat'    =>    'Sat',
                                                 'sun'    =>    'Sun'
                                                 );
                     
                     //========================
                     // DO NOT edit below
                     //========================

                     var $jan;
                     var $feb; 
                     var $mar;
                     var $apr;
                     var $may;
                     var $jun;
                     var $jul;
                     var $aug;
                     var $sep;
                     var $oct;
                     var $nov;
                     var $dec;
                     var $prefix;
                     var $modR;
                     var $info;
                     var $none;
                     var $reminders;
                     var $member;
                     var $span;
                     var $mtext;
                     var $mtext2;
                     

                     //==============================
                     // FUNCTION: days_in_month()
                     // Param: 1
                     // Desc: Gets Days in Month
                     //==============================
                     
                     function days_in_month($date)
                     {
                       $month = substr($date,0,2);
                       $year  = substr($date,-4);
                       
                       return cal_days_in_month(CAL_GREGORIAN, $month, $year);
                     }
                     
                     //===========================================
                     // FUNCTION: js_rem_builder()
                     // Param: 1
                     // Desc: For mouseover with reminders
                     //===========================================
                     
                     function js_rem_builder($reminder)
                     {
                       // We won`t bother with js concatenation..
                       
                       $table = '<table width=\\\'100%\\\'><tr><td width=\\\'20%\\\'><img src=\\\'images/mo_reminder.gif\\\' alt=\\\''.str_replace("&#039;", "\'", $reminder).'\\\' title=\\\''.str_replace("&#039;", "\'", $reminder).'\\\'></td><td valign=\\\'top\\\' width=\\\'80%\\\' style=\\\'padding-left:5px\\\'>'.$this->mtext2.'<br><br><span style=\\\''.$this->font_color.'\\\'>'.str_replace("&#039;", "\'", $reminder).'</span></td></tr></table>';
                       
                       return $table;
                     }

                     //============================
                     // FUNCTION: get_month()
                     // Param: 1
                     // Desc: Shows Month
                     //============================
                     
                     function get_month($num)
                     {
                       $months = array('01' => $this->jan, '02' => $this->feb, '03' => $this->mar, '04' => $this->apr, '05' => $this->may, '06' => $this->jun, '07' => $this->jul, '08' => $this->aug, '09' => $this->sep, '10' => $this->oct, '11' => $this->nov, '12' => $this->dec);

                       return $months[$num];
                     }

                     //============================
                     // FUNCTION: show_nav()
                     // Param: 1
                     // Desc: Displays Navigation
                     //============================

                     function show_nav($date)
                     {
                       $data = '<select class="nav_select" onChange="if(this.value!= 0){location=this.options[this.selectedIndex].value}">'."\n";

                       // Show Years Jan -> Dec..

                       for ($i=1; $i<13; $i++)
                       {
                         $data .= '<option'.(($i<10 ? '0'.$i : $i)==substr($date,0,2) ? ' selected ' : ' ').'value="'.($this->modR ? $this->mod_rewrite($this->modR,'index.php?cmd=calendar&amp;date=',($i<10 ? '0'.$i : $i).'-'.substr($date,-4)) : 'index.php?cmd=calendar&amp;date='.($i<10 ? '0'.$i : $i).'-'.substr($date,-4)).'">'.$this->get_month(($i<10 ? '0'.$i : $i)).'</option>'."\n";
                       }

                       $data .= '</select>'."\n";
                       $data .= '<select class="nav_select" onChange="if(this.value!= 0){location=this.options[this.selectedIndex].value}">'."\n";

                       // Show Years. Current Year + 5 Years..

                       for ($i=date("Y"); $i<date("Y")+5; $i++)
                       {
                         $data .= '<option'.(substr($date,0,2).'-'.$i==substr($date,0,2).'-'.substr($date,-4) ? ' selected ' : ' ').'value="'.($this->modR ? $this->mod_rewrite($this->modR,'index.php?cmd=calendar&amp;date=',substr($date,0,2).'-'.$i) : 'index.php?cmd=calendar&amp;date='.substr($date,0,2).'-'.$i).'">'.$i.'</option>'."\n";
                       }

                       $data .= '</select>'."\n";

                       return $data;
                     }
                     
                     //================================
                     // FUNCTION: span_days()
                     // Param: 3
                     // Desc: Spans Calendar Events
                     //================================
                     
                     function span_days($month,$year,$cal_day)
                     {
                       $data     = '';
                       $find     = array("\r\n", "&#039;");
                       $replace  = array("<br>", "\'");

                       // First day in month for year..easy enough. LOL..

                       $first  = '1';
                       
                       // last day in month for year..
                       
                       $last = date('t', mktime(0, 0, 0, $month+1, 0, $year));

                       // Build query for span..
                       // Thanks Todd, I owe you a pint my friend..:)..

                       $stmt = "SELECT
                                  id,
                                  comments,
                                  name,
                                  fromDate,
                                  toDate,
                                    CASE MONTH(fromDate)
                                      WHEN $month THEN DAYOFMONTH(fromDate)
                                      ELSE $first
                                     END AS
                                     lo,
                                    CASE MONTH(toDate)
                                      WHEN $month THEN DAYOFMONTH(toDate)
                                      ELSE $last
                                     END AS
                                     hi
                                    FROM ".$this->prefix."events
                                    WHERE
                                    (
                                      YEAR(fromDate) < $year AND activate ='1'
                                      OR
                                      YEAR(fromDate) = $year AND MONTH(fromDate) <= $month AND activate ='1'
                                    )
                                    AND
                                    (
                                      YEAR(toDate) > $year AND activate ='1'
                                      OR
                                      YEAR(toDate) = $year AND MONTH(toDate) >= $month AND activate ='1'
                                    )
                                    ORDER BY lo, id
                                    ";
                                    
                        //------------------------------------
                        // Assign arrays to hold event data
                        //------------------------------------

                        $eventDays = array();
                        $eventComs = array();

                        $rows = mysql_query($stmt) or die(mysql_error());

                        //---------------------------------------------------------------------------
                        // Populate arrays with event data
                        // Check for PHP version to prevent incorrect data with the range() function
                        //---------------------------------------------------------------------------

                        if (phpversion()<='4.3.2')
                        {
                          while ($row = mysql_fetch_array($rows))
                          {
                            for ($i=$row['lo']; $i<$row['hi']+1; $i++)
                            {
                              $eventDays[$day][$row['id']] = $row['name'];
                              $eventComs[$day][$row['id']] = $row['comments'];
                            }
                          }
                        }
                        else
                        {
                          while ($row = mysql_fetch_array($rows))
                          {
                            foreach (range($row['lo'], $row['hi']) as $day)
                            {
                              $eventDays[$day][$row['id']] = $row['name'];
                              $eventComs[$day][$row['id']] = $row['comments'];
                            }
                          }
                        }

                        ksort($eventDays);

                        //-----------------------------------------------------------------------------
                        // Loop through arrays
                        // If data found for day, display it
                        // Check for PHP version to prevent incorrect data with the range() function
                        //-----------------------------------------------------------------------------
                        
                        if (phpversion()<='4.3.2')
                        {
                          for ($i=$first; $i<$last+1; $i++)
                          {
                            if (array_key_exists($i, $eventDays))
                            {
                              foreach($eventDays[$i] as $id => $name)
                              {
                                if ($cal_day==$i)
                                {
                                  $data .= '- <a href="'.($this->modR ? $this->mod_rewrite($this->modR,'index.php?cmd=events&amp;event=',$id) : 'index.php?cmd=events&amp;event='.$id).'" title="'.$this->strip_slashes($name).'">'.$this->strip_slashes($name).'</a> [<a href="javascript:void(0);" onclick="return overlib(\''.($eventComs[$i][$id] ? str_replace($find,$replace,$this->strip_slashes($eventComs[$i][$id])) : $this->none).'\', STICKY, CAPTION,\''.$this->info.'\', CENTER);" onmouseout="nd();" title="'.$this->info.'"><b>?</b></a>]<br>';
                                }
                              }
                            }
                          }
                        }
                        else
                        {
                          foreach (range($first, $last) as $day)
                          {
                            if (array_key_exists($day, $eventDays))
                            {
                             foreach($eventDays[$day] as $id => $name)
                              {
                                if ($cal_day==$day)
                                {
                                  $data .= '- <a href="'.($this->modR ? $this->mod_rewrite($this->modR,'index.php?cmd=events&amp;event=',$id) : 'index.php?cmd=events&amp;event='.$id).'" title="'.$this->strip_slashes($name).'">'.$this->strip_slashes($name).'</a> [<a href="javascript:void(0);" onclick="return overlib(\''.($eventComs[$day][$id] ? str_replace($find,$replace,$this->strip_slashes($eventComs[$day][$id])) : $this->none).'\', STICKY, CAPTION,\''.$this->info.'\', CENTER);" onmouseout="nd();" title="'.$this->info.'"><b>?</b></a>]<br>';
                                  }
                              }
                            }
                          }
                        }

                        return $data;
                     }

                     //====================================================================================
                     // FUNCTION: show_calendar()
                     // Param: 4
                     // Desc: Displays calendar
                     //
                     // USER INFO
                     //
                     // To Change the amount of days per row alter the $cells, $width & $table variables
                     // Note that $table/$width should ideally = $cells
                     // Example: 760/190 = 4
                     // If you are a more advanced user, alter what you need. :)
                     //====================================================================================

                     function show_calendar($date,$cells=4,$width=185,$table=740)
                     {
                       $month     = substr($date,0,2);
                       $year      = substr($date,-4);
                       $count     = 0;
                       $content   = '';
                       $find      = array("\r\n", "&#039;");
                       $replace   = array("<br>", "\'");

                       $content = '<!-- DISPLAY EVENT CALENDAR -->'."\n";
                       $content .= '<div align="center"><br>'."\n";
                       $content .= '<table width="'.$table.'" cellspacing="0" cellpadding="0">'."\n";
                       $content .= '<tr>'."\n";
                       
                       for($i=1; $i<$this->days_in_month($date)+1; $i++)
                       {
                         $content .= '   <td valign="top" align="left" width="'.($width-5).'">'."\n";
                         $content .= '   <table width="100%" cellspacing="0" cellpadding="0" style="'.$this->border.'">'."\n";
                         $content .= '   <tr>'."\n";
                         $content .= '      <td style="'.(date("d")==$i && date("m")==$month && date("Y")==$year ? $this->color_cur_day : $this->color_days).'" align="center">'.$this->Cdays[strtolower(date("D", mktime(0,0,0,$month,$i,$year)))].'<br><b>'.$i.'</b></td>'."\n";
                         $content .= '      <td width="140">&nbsp;</td>'."\n";
                         $content .= '   </tr>'."\n";
                         $content .= '   <tr>'."\n";
                         $content .= '      <td style="padding:5px;padding-top:10px" valign="top" align="left" height="60" colspan="2">'."\n";
                         
                         // Calculate days..
                         
                         $start_day    = substr($date,-4).'-'.substr($date,0,2).'-'.($i<10 ? '0'.$i : $i);

                         // Are we spanning days?..
                         
                         if ($this->span)
                         {
                           if ($this->span_days(($month<10 ? substr($month,-1) : $month),$year,$i))
                           {
                             $content .= $this->span_days(($month<10 ? substr($month,-1) : $month),$year,$i);
                             
                             $lb = true;
                           }
                         }
                         else
                         {
                           $q_events = mysql_query("SELECT * FROM ".$this->prefix."events WHERE fromDate = '$start_day' AND activate = '1'") or die(mysql_error());

                           if (mysql_num_rows($q_events)>0)
                           {
                             while ($EVENTS = mysql_fetch_assoc($q_events))
                             {
                               $lb = true;

                               $content .= '- <a href="'.($this->modR ? $this->mod_rewrite($this->modR,'index.php?cmd=events&amp;event=',$EVENTS['id']) : 'index.php?cmd=events&amp;event='.$EVENTS['id']).'" title="'.$this->strip_slashes($EVENTS['name']).'">'.$this->strip_slashes($EVENTS['name']).'</a> [<a href="javascript:void(0);" onclick="return overlib(\''.($EVENTS['comments'] ? str_replace($find,$replace,$this->strip_slashes($EVENTS['comments'])) : $this->none).'\', STICKY, CAPTION,\''.$this->info.'\', CENTER);" onmouseout="nd();" title="'.$this->info.'"><b>?</b></a>]<br>';
                             }
                           }

                           else
                           {
                             $content .= '&nbsp;';
                           }
                         }

                         // Are we also showing visitor reminders?..

                         if ($this->reminders && $this->member>0)
                         {
                           $q_rems = mysql_query("SELECT * FROM ".$this->prefix."reminders WHERE account = '".$this->member."' AND eventDate = '$start_day'") or die(mysql_error());

                           if (mysql_num_rows($q_rems)>0)
                           {
                             // If a reminder has been found, lets remove the none breaking space set above..
                             // This simply tidies up the display. Some people might not even notice the space..:P
                             // Check that the nbsp is in place or else the table will screw up..

                             if (substr($content,-6)=='&nbsp;')
                             {
                               $content = substr_replace($content,'',-6);
                             }

                             // Is there event data? If so, seperate from reminders with another line break
                             
                             if (isset($lb))
                             {
                               $content .= '<br>';
                             }

                             while ($REMINDERS = mysql_fetch_assoc($q_rems))
                             {
                               $content .= '<a href="javascript:void(0);" onmouseover="return overlib(\''.$this->js_rem_builder($this->strip_slashes($REMINDERS['name'])).'\',\''.$this->mtext.'\', CENTER);" onmouseout="nd();"><img src="images/vis_event.gif" alt="" title="" border="0"></a> <span style="'.$this->font_color.'">'.$this->strip_slashes($REMINDERS['name']).'</span><br>';
                             }
                           }

                         }
                         
                         unset ($lb);

                         $content .= '      </td>'."\n";
                         $content .= '   </tr>'."\n";
                         $content .= '   </table><br>'."\n";
                         $content .= '   </td>'."\n";
                         $content .= '   <td width="5">&nbsp;</td>'."\n";

                         if (++$count % $cells === 0)
                         {
                           $content .= "</tr>\n";

                           if ($count != $this->days_in_month($date))
                           {
                             $content .= "<tr>\n";
                           }
                         }
                         
                         unset($to_day,$EVENTS,$q_events);
                       }

                       if ($count % $cells !== 0)
                       {
                         $content .= "</tr>\n";
                       }
                       
                       $content .= '</table>'."\n";
                       $content .= '</div>'."\n";
                       $content .= '<!-- END DISPLAY EVENT CALENDAR -->'."\n";

                       return $content;
                     }
                     
                     //=============================================
                     // FUNCTION: strip_slashes()
                     // Desc: Strip slashes if magic quotes are on
                     // Parameters: 1
                     //=============================================

                     function strip_slashes($data)
                     {
                       if (get_magic_quotes_gpc())
                       {
                         $data = stripslashes($data);
                       }

                       return $data;
                     }
}

?>
