<?php

/*++++++++++++++++++++++++++++++++++++++++

  Script: Maian Greetings v2.1
  Written by: David Ian Bennett
  E-Mail: N/A
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++
  
  This File: class_paypal.inc.php
  Description: Paypal Class

  ++++++++++++++++++++++++++++++++++++++++*/

include('class_generic.inc.php');

class paypal_IPN
           extends genericOptions {

                                   var $pp_mode;
                                   var $pp_email;
                                   var $notify;
                                   var $thanks;
                                   var $cancel;
                                   var $style;
                                   var $currency;
                                   var $total;
                                   var $item_text;
                                   var $memberid;
                                   var $username;
                                   var $error_log;
                                   var $unlimited;
                                   var $prefix;
                                   
                                   //=========================
                                   // FUNCTION: paypal_IPN()
                                   // Constructor
                                   // Param: 3
                                   //=========================
	                                 
                                   function paypal_IPN($paypal_post_vars='',$sandbox='',$protocol='')
                                   {
                                     $this->paypal_post_vars  = $paypal_post_vars;
                                     $this->protocol          = $protocol;
                                     $this->timeout           = 120;
                                     $this->sandbox           = $sandbox;
                                     $this->url_string        = "http".$this->protocol.($this->sandbox ? '://www.sandbox.paypal.com/cgi-bin/webscr?' : '://www.paypal.com/cgi-bin/webscr?');
                                   }
                                   
                                   //======================================
                                   // FUNCTION: replace_tags()
                                   // DESC: Replaces email message tags
                                   // PARAM: 1
                                   //======================================
                 
                                   function replace_tags($tags)
                                   {
                                     $data = explode("||", $this->paypal_post_vars['custom']);
                                     
                                     $q_limit = mysql_query("SELECT cardlimit FROM ".$this->prefix."accounts WHERE id = '".$data[1]."' LIMIT 1") or die(mysql_error());
                                     $LIMIT = mysql_fetch_object($q_limit);

                                     $tags  = str_replace("{NAME}", $data[2], $tags);
                                     $tags  = str_replace("{NEW_LIMIT}", ($LIMIT->cardlimit>0 ? $LIMIT->cardlimit : $this->unlimited), $tags);

                                     return $tags;
                                   }
                                   
                                   //========================================
                                   // FUNCTION: CHECK_TRANS_AMOUNT()
                                   // Is trans amount correct?
                                   // Param: 0
                                   //========================================
                                   
                                   function check_trans_amount($price)
                                   {
                                     if ($this->paypal_post_vars['mc_gross']==$price)
                                     {
                                       return true;
                                     }
                                     else
                                     {
                                       return false;
                                     }  
                                   }
                                   
                                   //========================================
                                   // FUNCTION: CHECK_TRANS()
                                   // Is this a Maian Greetings transaction?
                                   // Param: 0
                                   //========================================

                                   function check_trans()
                                   {
                                     if (isset($this->paypal_post_vars['custom']) && strstr($this->paypal_post_vars['custom'],'MaianGreetings'))
                                     {
                                       return true;
                                     }
                                     else
                                     {
                                       return false;
                                     }
                                   }
                                   
                                   //=================================
                                   // FUNCTION: SEND_REPONSE()
                                   // Sends response back to Paypal
                                   // Param: 0
                                   //=================================

                                   function send_response()
                                   {
                                     // Put all POST variables received from Paypal back
                                     //  into a URL encoded string..

                                     foreach($this->paypal_post_vars AS $key => $value)
                                     {
                                       // If magic quotes gpc is on, PHP adds slashes to the values so we need
                                       //  to strip them before we send the data back to Paypal.

                                       if (get_magic_quotes_gpc())
                                       {
                                         $value = stripslashes($value);
                                       }

                                       // Make an array of URL encoded values

                                       $values[] = $key.'='.urlencode($value);
                                     }

                                     // Join the values together into one url encoded string

                                     if (!empty($values))
                                     {
                                       $this->url_string .= implode("&", $values);
                                     }
                                     
                                     // Add paypal cmd variable
                                     $this->url_string .= '&cmd=_notify-validate';

                                     $ch = curl_init();
                                     curl_setopt ($ch, CURLOPT_URL, $this->url_string);
                                     curl_setopt ($ch, CURLOPT_USERAGENT, "Mozilla/4.0 (compatible; www.ScriptDevelopers.NET; PayPal IPN Class)");
                                     curl_setopt ($ch, CURLOPT_HEADER, 1);
                                     curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
                                     
                                     // Prevent basedir & safe mode errors..
                                     if (ini_get('open_basedir') == '' && ini_get('safe_mode' == 'Off')) {
                                     curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
                                     }
                                     
                                     curl_setopt ($ch, CURLOPT_TIMEOUT, $this->timeout);
                                     $this->paypal_response = curl_exec ($ch);
                                     curl_close($ch);

                                   }
                                         
                                   //===============================================
                                   // FUNCTION: IS_VERIFIED()
                                   // Returns true if Paypal says the order is ok
                                   // Param: 0
                                   //===============================================
                                         
                                   function is_verified()
                                   {
                                     if(ereg("VERIFIED", $this->paypal_response))
                                     {
                                       return true;
                                     }
                                     else
                                     {
                                       return false;
                                     }
                                   }
                                   
                                   //==================================
                                   // FUNCTION: GET_PAYMENT_STATUS()
                                   // Returns payment status
                                   // Param: 0
                                   //==================================
                                         
                                   function get_payment_status()
                                   {
                                     return $this->paypal_post_vars['payment_status'];
                                   }
                                   
                                   //===============================
                                   // FUNCTION: LOG_ERRORS()
                                   // Logs Paypal error messages
                                   // Param: 2
                                   //===============================
                                         
                                   function log_errors($msg,$msg2)
                                   {
                                     $message = '';

                                     $date = date("D M j G:i:s T Y", time());

                                     $message .= $msg."\n\n".$msg2."\n\n";

                                     reset($this->paypal_post_vars);
                                           
                                     while(list($key,$value) = each($this->paypal_post_vars))
                                     {
                                       $message .= $key . ':' . " \t$value\n";
                                     }

                                     $message .= "\n\n".$this->url_string."\n\n".$this->paypal_response;

                                     // Log data to file if log file enabled

                                     if (is_dir('log') && is_writeable('log'))
                                     {
                                       if ($this->error_log)
                                       {
                                         $fp = fopen('log/paypal_errors.txt', 'a');
                                         $message = "\n\n==========START LOG==========\n\n".$date."\n\n=============================\n\n".$message."\n\n===========END LOG===========";
                                         fwrite($fp, trim($message));
                                         fclose($fp);
                                       }
                                     }

                                     unset($message);

                                     exit;
                                   }

                                   //=======================================
                                   // FUNCTION: ADD_FIELDS()
                                   // Loads field array
                                   // Param: 0
                                   //======================================

                                   function add_fields()
                                   {
                                     $fields   = array();

                                     //--------------------------
                                     // Populate Paypal fields
                                     //--------------------------

                                     $fields['rm']             = '2';
                                     $fields['cmd']            = '_xclick';
                                     $fields['business']       = $this->pp_email;
                                     $fields['item_name']      = $this->item_text;
                                     $fields['quantity']       = '1';
                                     $fields['notify_url']     = $this->notify;
                                     $fields['cancel_return']  = $this->cancel;
                                     $fields['return']         = $this->thanks;

                                     // Only pass style variable if populated.
                                     // Prevents error on Paypal website..

                                     if ($this->style)
                                     {
                                       $fields['page_style']   = $this->style;
                                     }

                                     $fields['no_shipping']    = 1;
                                     $fields['amount']         = $this->total;
                                     $fields['currency_code']  = $this->currency;
                                     $fields['custom']         = 'MaianGreetings||'.$this->memberid.'||'.$this->username;

                                     return $fields;
                                   }

                                   //=======================================
                                   // FUNCTION: PROCESS()
                                   // Processes and transfers to Paypal
                                   // Param: 0
                                   //======================================

                                   function process()
                                   {
                                     $data = $this->add_fields();

                                     $html = '<form method="post" name="form" action="'.$this->pp_mode.'">'."\n";

                                     foreach ($data as $name => $value)
                                     {
                                       $html .= '<input type="hidden" name="'.$name.'" value="'.$value.'">'."\n";
                                     }

                                     $html .= '</form>'."\n";

                                     return $html;

                                   }
                                   
                                   //===============================
                                   // FUNCTION: UPDATE_LIMIT()
                                   // Updates member send limit
                                   // Param: 1
                                   //===============================
                                   
                                   function update_limit($limit)
                                   {
                                     $data = explode("||", $this->paypal_post_vars['custom']);

                                     mysql_query("UPDATE ".$this->prefix."accounts SET
                                                            ".($limit > 0 ? 
                                                            "cardlimit      = (cardlimit+$limit)"
                                                            :
                                                            "cardlimit      = '0'"
                                                            )."
                                                            WHERE username  = '".$data[2]."'
                                                            AND id          = '".$data[1]."'
                                                            LIMIT 1
                                                            ") or die(mysql_error());
                                   }

                                   //===============================
                                   // FUNCTION: PP_LOG_SQL()
                                   // Logs Paypal IPN data
                                   // Param: 0
                                   //===============================

                                   function pp_log_sql()
                                   {
                                     //Add user data to database..

                                     $address = $this->paypal_post_vars['address_street'] . "\n" . $this->paypal_post_vars['address_city'] . "\n" . $this->paypal_post_vars['address_state'] . "\n" . $this->paypal_post_vars['address_zip'] . "\n" . $this->paypal_post_vars['address_country'];

                                     // Explode custom data..

                                     $data = explode("||", $this->paypal_post_vars['custom']);

                                     mysql_query("INSERT INTO ".$this->prefix."ipndata (
                                                                 first_name,
                                                                 last_name,
                                                                 pay_date,
                                                                 address,
                                                                 email,
                                                                 item_name,
                                                                 item_number,
                                                                 memo,
                                                                 payment_status,
                                                                 pending_reason,
                                                                 gross,
                                                                 fee,
                                                                 txn_id,
                                                                 memberid,
                                                                 username
                                                                 ) VALUES (
                                                                 '".$this->add_slashes($this->char_entities($this->paypal_post_vars['first_name']))."',
                                                                 '".$this->add_slashes($this->char_entities($this->paypal_post_vars['last_name']))."',
                                                                 '".date("Y-m-d")."',
                                                                 '".$this->add_slashes($this->char_entities($address))."',
                                                                 '".$this->paypal_post_vars['payer_email']."',
                                                                 '".$this->paypal_post_vars['item_name']."',
                                                                 '".$this->paypal_post_vars['item_number']."',
                                                                 '".$this->add_slashes($this->char_entities($this->paypal_post_vars['memo']))."',
                                                                 '".$this->paypal_post_vars['payment_status']."',
                                                                 '".$this->paypal_post_vars['pending_reason']."',
                                                                 '".$this->paypal_post_vars['mc_gross']."',
                                                                 '".$this->paypal_post_vars['mc_fee']."',
                                                                 '".$this->paypal_post_vars['txn_id']."',
                                                                 '".$data[1]."',
                                                                 '".$data[2]."'
                                                                 )") or die(mysql_error());

                                     exit;
                                   }
}

?>
