-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Server version:               5.1.41 - Source distribution
-- Server OS:                    Win32
-- HeidiSQL version:             7.0.0.4072
-- Date/time:                    2012-02-29 21:26:14
-- --------------------------------------------------------

-- Dumping structure for table mgr_accounts
DROP TABLE IF EXISTS `mgr_accounts`;
CREATE TABLE IF NOT EXISTS `mgr_accounts` (
  `id` int(8) NOT NULL AUTO_INCREMENT,
  `username` varchar(100) NOT NULL DEFAULT '',
  `userpass` char(32) NOT NULL DEFAULT '',
  `useremail` varchar(250) NOT NULL DEFAULT '',
  `usertotal` int(10) unsigned NOT NULL DEFAULT '0',
  `userdate` date DEFAULT NULL,
  `booklimit` int(10) unsigned NOT NULL DEFAULT '0',
  `cardlimit` int(10) unsigned NOT NULL DEFAULT '0',
  `random` varchar(10) NOT NULL DEFAULT '0',
  `active` enum('0','1') NOT NULL DEFAULT '0',
  `list` enum('0','1') NOT NULL DEFAULT '0',
  `banned` enum('0','1') NOT NULL DEFAULT '0',
  `sitevisits` int(10) unsigned NOT NULL DEFAULT '0',
  `referer` varchar(100) NOT NULL DEFAULT '',
  `ipaddress` varchar(50) NOT NULL DEFAULT '',
  `paypal` varchar(17) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`),
  UNIQUE KEY `useremail` (`useremail`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- Dumping structure for table mgr_addressbook
DROP TABLE IF EXISTS `mgr_addressbook`;
CREATE TABLE IF NOT EXISTS `mgr_addressbook` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `email` varchar(250) NOT NULL DEFAULT '',
  `account` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- Dumping structure for table mgr_categories
DROP TABLE IF EXISTS `mgr_categories`;
CREATE TABLE IF NOT EXISTS `mgr_categories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catname` varchar(100) NOT NULL DEFAULT '',
  `comments` text NOT NULL,
  `icon` varchar(250) NOT NULL DEFAULT '',
  `guests` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- Dumping structure for table mgr_emoticons
DROP TABLE IF EXISTS `mgr_emoticons`;
CREATE TABLE IF NOT EXISTS `mgr_emoticons` (
  `eid` int(5) NOT NULL AUTO_INCREMENT,
  `ename` varchar(40) NOT NULL DEFAULT '',
  `etext` varchar(40) NOT NULL DEFAULT '',
  `epath` varchar(50) NOT NULL DEFAULT '',
  `esize` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`eid`),
  UNIQUE KEY `epath` (`epath`)
) ENGINE=MyISAM AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;

-- Dumping data for table mgr_emoticons: 20 rows
INSERT INTO `mgr_emoticons` (`eid`, `ename`, `etext`, `epath`, `esize`) VALUES
	(1, 'Confused', ':confused:', 'confused.gif', 110),
	(2, 'Cool', ':cool:', 'cool.gif', 877),
	(3, 'Grin', ':grin:', 'grin.gif', 1541),
	(4, 'Laugh', ':laugh:', 'laugh.gif', 158),
	(5, 'Love', ':love:', 'love.gif', 379),
	(6, 'Sad', ':sad:', 'sad.gif', 896),
	(7, 'Smile', ':smile:', 'smile.gif', 169),
	(8, 'Tongue', ':tongue:', 'tongue.gif', 115),
	(9, 'Beer', ':beer:', 'beer.gif', 1215),
	(10, 'Devil', ':devil:', 'devil.gif', 483),
	(11, 'Halloween', ':halloween:', 'halloween.gif', 1289),
	(12, 'Music', ':music:', 'music.gif', 1702),
	(13, 'Party', ':party:', 'party.gif', 932),
	(14, 'Sleep', ':sleep:', 'sleep.gif', 2376),
	(15, 'Speechless', ':speechless:', 'speechless.gif', 143),
	(16, 'Sport', ':sport:', 'sport.gif', 760),
	(17, 'Thumbs Up', ':thumbsUp:', 'thumbsUp.gif', 139),
	(18, 'Vomit', ':vomit:', 'vomit.gif', 481),
	(19, 'Wave', ':wave:', 'wave.gif', 487),
	(20, 'Xmas', ':xmas:', 'xmas.gif', 332);

-- Dumping structure for table mgr_events
DROP TABLE IF EXISTS `mgr_events`;
CREATE TABLE IF NOT EXISTS `mgr_events` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `fromDate` date DEFAULT NULL,
  `toDate` date DEFAULT NULL,
  `comments` text NOT NULL,
  `activate` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- Dumping structure for table mgr_favourites
DROP TABLE IF EXISTS `mgr_favourites`;
CREATE TABLE IF NOT EXISTS `mgr_favourites` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `account` int(10) unsigned NOT NULL DEFAULT '0',
  `card` int(10) unsigned NOT NULL DEFAULT '0',
  `addDate` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- Dumping structure for table mgr_helptopics
DROP TABLE IF EXISTS `mgr_helptopics`;
CREATE TABLE IF NOT EXISTS `mgr_helptopics` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `question` text NOT NULL,
  `answer` text NOT NULL,
  `addDate` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=17 DEFAULT CHARSET=utf8;

-- Dumping data for table mgr_helptopics: 16 rows
INSERT INTO `mgr_helptopics` (`id`, `question`, `answer`, `addDate`) VALUES
	(1, 'How do I send an e-card?', 'Look for the &#039;Send as E-Card&#039; link beneath any of our images.', '2012-02-29'),
	(2, 'How do I add images to my favourites?', 'Look for the cross beneath any system image. Click the cross to add an image to your favourites. An error will display if the image already exists in your favourites. \r\n\r\nOnce favourites have been added, click the link in your account area to view your favourites.', '2012-02-29'),
	(3, 'How do I change my password?', 'In your account area, click the &#039;Change Password&#039; link. Once your password has been changed you will have to log back in with your new password.', '2012-02-29'),
	(4, 'How do I change my e-mail address?', 'In your account area, click the &#039;Change Password&#039; link. Once your e-mail address has been changed, you will need to re-verify your account.', '2012-02-29'),
	(5, 'How do reminders work?', 'Reminders are useful if you want to be receive notification of any up and coming events, such as birthdays or anniversaries. On the specified date, we will send you an e-mail to remind you of your event.', '2012-02-29'),
	(6, 'I cannot send any more e-cards. Why?', 'Most probably you have reached your allowed limit. To have your limit increased, please contact us.', '2012-02-29'),
	(7, 'I cannot add any more addresses. Why?', 'Most probably you have reached your allocated limit for address storage. Please contact us to have it increased.', '2012-02-29'),
	(8, 'How do I use emoticons?', 'When you are filling out your e-card information, look for the &#039;Emoticons&#039; link next to the comments box. Click this link to open a new window, which displays the emoticons. Click an emoticon to add to your comments.', '2012-02-29'),
	(9, 'How do I preview music files?', 'Look for the &#039;Preview&#039; link next to the drop down menu listing the music files. This will open a new window. In the new window, use the drop down menu to select a file.', '2012-02-29'),
	(10, 'How do I preview poems?', 'Look for the &#039;Preview&#039; link next to the drop down menu listing the poems. This will open a new window. In the new window, use the drop down menu to select a poem to view it.', '2012-02-29'),
	(11, 'What is a plug in?', 'A plug in is a software module that adds a specific function to the browser. You may need to install plug ins to view music files.', '2012-02-29'),
	(12, 'Can I view an image full size?', 'Yes. Look for the eyes beneath a system image. Click the eyes to open a new window, which will display the full size image.', '2012-02-29'),
	(13, 'Can I view if a person has picked up an e-card?', 'Yes. In your account area, click the &#039;View Sent E-Cards&#039; link. Click the info image on the right hand side to display a small menu. This details how many of your cards have been picked up.\r\n\r\nClick &#039;View&#039; to view the pickup history for an e-card.', '2012-02-29'),
	(14, 'I have forgot my password. Can you send it to me?', 'No. Passwords are encrypted in the database and cannot be resent. Use the link on the login page to get a new password.\r\n\r\nOnce a password has been e-mailed to you, it is recommended you log in to your account area and update it to something you can remember.', '2012-02-29'),
	(15, 'Can I upload my own images?', 'Yes. When you click to send an e-card, look for the browse button next to the image. Before you upload, click the [?] symbol to show you which files are allowed.\r\n\r\nUploading invalid files could result in your account being suspended.', '2012-02-29'),
	(16, 'How do I preview poems?', 'Look for the &#039;Preview&#039; link next to the drop down menu listing the poems. This will open a new window. In the new window, use the drop down menu to select a poem to view it.', '2012-02-29');

-- Dumping structure for table mgr_images
DROP TABLE IF EXISTS `mgr_images`;
CREATE TABLE IF NOT EXISTS `mgr_images` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL DEFAULT '',
  `addDate` date DEFAULT NULL,
  `cat` varchar(10) NOT NULL DEFAULT '0',
  `event` int(5) NOT NULL DEFAULT '0',
  `comments` text NOT NULL,
  `isize` int(10) NOT NULL DEFAULT '0',
  `tsize` int(10) NOT NULL DEFAULT '0',
  `imagepath` varchar(100) NOT NULL DEFAULT '',
  `thumbpath` varchar(100) NOT NULL DEFAULT '',
  `visits` int(10) unsigned NOT NULL DEFAULT '0',
  `sent` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `imagepath` (`imagepath`),
  UNIQUE KEY `thumbpath` (`thumbpath`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- Dumping structure for table mgr_ipaddress
DROP TABLE IF EXISTS `mgr_ipaddress`;
CREATE TABLE IF NOT EXISTS `mgr_ipaddress` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ip` varchar(32) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- Dumping structure for table mgr_ipndata
DROP TABLE IF EXISTS `mgr_ipndata`;
CREATE TABLE IF NOT EXISTS `mgr_ipndata` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `first_name` varchar(64) NOT NULL DEFAULT '',
  `last_name` varchar(64) NOT NULL DEFAULT '',
  `pay_date` date DEFAULT NULL,
  `address` text,
  `email` varchar(127) NOT NULL DEFAULT '',
  `item_name` varchar(127) NOT NULL DEFAULT '',
  `item_number` varchar(127) NOT NULL DEFAULT '',
  `memo` text,
  `payment_status` varchar(20) NOT NULL DEFAULT '',
  `pending_reason` varchar(20) NOT NULL DEFAULT '',
  `gross` varchar(10) NOT NULL DEFAULT '',
  `fee` varchar(10) NOT NULL DEFAULT '',
  `txn_id` varchar(17) NOT NULL DEFAULT '',
  `memberid` int(8) NOT NULL DEFAULT '0',
  `username` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- Dumping structure for table mgr_music
DROP TABLE IF EXISTS `mgr_music`;
CREATE TABLE IF NOT EXISTS `mgr_music` (
  `mid` int(5) NOT NULL AUTO_INCREMENT,
  `mname` varchar(100) NOT NULL DEFAULT '',
  `martist` varchar(100) NOT NULL DEFAULT '',
  `mpath` varchar(50) NOT NULL DEFAULT '',
  `msize` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`mid`),
  UNIQUE KEY `mpath` (`mpath`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

-- Dumping data for table mgr_music: 5 rows
INSERT INTO `mgr_music` (`mid`, `mname`, `martist`, `mpath`, `msize`) VALUES
	(1, 'Allegro', 'Mozart', 'allegro_mozart.mid', 19256),
	(2, 'L`Orfeo Suite', 'Monteverdi', 'lorfeosuite_monteverdi.mid', 29288),
	(3, 'Arabesque', 'Debussy', 'arabesque_debussy.mid', 24804),
	(4, 'Polonaise', 'Bach', 'polonaise_bach.mid', 7210),
	(5, '1st Movement', 'Handel', '1stmovement_handel.mid', 26599);

-- Dumping structure for table mgr_paypal
DROP TABLE IF EXISTS `mgr_paypal`;
CREATE TABLE IF NOT EXISTS `mgr_paypal` (
  `id` tinyint(2) NOT NULL AUTO_INCREMENT,
  `ppCost` varchar(20) NOT NULL DEFAULT '',
  `ppLimit` varchar(10) NOT NULL DEFAULT '',
  `ppEmail` varchar(250) NOT NULL DEFAULT '',
  `ppThanks` text NOT NULL,
  `ppCancel` text NOT NULL,
  `ppLog` enum('0','1') NOT NULL DEFAULT '0',
  `ppSandbox` enum('0','1') NOT NULL DEFAULT '0',
  `ppStyle` varchar(100) NOT NULL DEFAULT '',
  `ppCurrency` char(3) NOT NULL DEFAULT 'GBP',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- Dumping data for table mgr_paypal: 1 rows
INSERT INTO `mgr_paypal` (`id`, `ppCost`, `ppLimit`, `ppEmail`, `ppThanks`, `ppCancel`, `ppLog`, `ppSandbox`, `ppStyle`, `ppCurrency`) VALUES
	(1, '0.00', '0', 'you@yoursite.com', 'http://www.yoursite.com/greetings/index.php?cmd=thanks', 'http://www.yoursite.com/greetings/index.php?cmd=cancel', '0', '0', '', 'GBP');

-- Dumping structure for table mgr_poems
DROP TABLE IF EXISTS `mgr_poems`;
CREATE TABLE IF NOT EXISTS `mgr_poems` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `title` text NOT NULL,
  `poem` text NOT NULL,
  `addDate` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- Dumping structure for table mgr_reminders
DROP TABLE IF EXISTS `mgr_reminders`;
CREATE TABLE IF NOT EXISTS `mgr_reminders` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL DEFAULT '',
  `account` int(10) unsigned NOT NULL DEFAULT '0',
  `eventDate` date DEFAULT NULL,
  `addDate` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- Dumping structure for table mgr_sendlog
DROP TABLE IF EXISTS `mgr_sendlog`;
CREATE TABLE IF NOT EXISTS `mgr_sendlog` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `rname` varchar(100) NOT NULL DEFAULT '',
  `remail` varchar(250) NOT NULL DEFAULT '',
  `vname` varchar(100) NOT NULL DEFAULT '',
  `vemail` varchar(250) NOT NULL DEFAULT '',
  `accname` varchar(100) NOT NULL DEFAULT '',
  `accemail` varchar(250) NOT NULL DEFAULT '',
  `account` int(10) unsigned NOT NULL DEFAULT '0',
  `unicode` char(11) NOT NULL DEFAULT '',
  `music` int(7) NOT NULL DEFAULT '0',
  `poem` int(7) NOT NULL DEFAULT '0',
  `comments` text NOT NULL,
  `sendDate` date DEFAULT NULL,
  `delDate` date DEFAULT NULL,
  `cardid` varchar(100) NOT NULL DEFAULT '',
  `notify` enum('0','1','2') NOT NULL DEFAULT '0',
  `pickup` int(5) NOT NULL DEFAULT '0',
  `recipients` int(7) NOT NULL DEFAULT '0',
  `guest` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- Dumping structure for table mgr_sentcards
DROP TABLE IF EXISTS `mgr_sentcards`;
CREATE TABLE IF NOT EXISTS `mgr_sentcards` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `rname` varchar(100) NOT NULL DEFAULT '',
  `remail` varchar(250) NOT NULL DEFAULT '',
  `vname` varchar(100) NOT NULL DEFAULT '',
  `vemail` varchar(250) NOT NULL DEFAULT '',
  `accname` varchar(100) NOT NULL DEFAULT '',
  `accemail` varchar(250) NOT NULL DEFAULT '',
  `account` int(10) unsigned NOT NULL DEFAULT '0',
  `unicode` char(11) NOT NULL DEFAULT '',
  `music` int(7) NOT NULL DEFAULT '0',
  `poem` int(7) NOT NULL DEFAULT '0',
  `comments` text NOT NULL,
  `sendDate` date DEFAULT NULL,
  `delDate` date DEFAULT NULL,
  `cardid` varchar(100) NOT NULL DEFAULT '',
  `notify` enum('0','1','2') NOT NULL DEFAULT '0',
  `pickup` int(5) NOT NULL DEFAULT '0',
  `recipients` int(7) NOT NULL DEFAULT '0',
  `refcode` char(5) NOT NULL DEFAULT '',
  `cardstatus` enum('0','1') NOT NULL DEFAULT '0',
  `guest` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- Dumping structure for table mgr_settings
DROP TABLE IF EXISTS `mgr_settings`;
CREATE TABLE IF NOT EXISTS `mgr_settings` (
  `id` tinyint(1) NOT NULL AUTO_INCREMENT,
  `website` varchar(100) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL DEFAULT '',
  `homepage` varchar(250) NOT NULL DEFAULT '',
  `folder` varchar(250) NOT NULL DEFAULT '',
  `date_format` varchar(25) NOT NULL DEFAULT '',
  `mysql_date` varchar(25) NOT NULL DEFAULT '',
  `date_ts` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `language` varchar(40) NOT NULL DEFAULT '',
  `modr` enum('0','1') NOT NULL DEFAULT '0',
  `disable` enum('0','1') NOT NULL DEFAULT '0',
  `sameip` enum('0','1') NOT NULL DEFAULT '0',
  `music` enum('0','1') NOT NULL DEFAULT '0',
  `calendar` enum('0','1') NOT NULL DEFAULT '0',
  `emoticons` enum('0','1') NOT NULL DEFAULT '0',
  `poems` enum('0','1') NOT NULL DEFAULT '0',
  `advdate` varchar(3) NOT NULL DEFAULT '0',
  `meslimit` varchar(4) NOT NULL DEFAULT '0',
  `thumbrow` tinyint(2) NOT NULL DEFAULT '0',
  `thumbpage` tinyint(3) NOT NULL DEFAULT '0',
  `duration` int(3) NOT NULL DEFAULT '0',
  `stamps` enum('0','1') NOT NULL DEFAULT '0',
  `mlist` enum('0','1') NOT NULL DEFAULT '0',
  `favourites` enum('0','1') NOT NULL DEFAULT '0',
  `news` text NOT NULL,
  `reminders` enum('0','1') NOT NULL DEFAULT '0',
  `paypal` enum('0','1') NOT NULL DEFAULT '0',
  `useruploads` enum('0','1') NOT NULL DEFAULT '0',
  `filetypes` text NOT NULL,
  `maxsize` varchar(15) NOT NULL DEFAULT '0',
  `booklimit` varchar(10) NOT NULL DEFAULT '0',
  `ecardlimit` varchar(10) NOT NULL DEFAULT '0',
  `senttotal` varchar(15) NOT NULL DEFAULT '0',
  `autothumb` enum('0','1') NOT NULL DEFAULT '0',
  `autowidth` varchar(3) NOT NULL DEFAULT '0',
  `autoheight` varchar(3) NOT NULL DEFAULT '0',
  `thumbwidth` varchar(3) NOT NULL DEFAULT '0',
  `thumbheight` varchar(3) NOT NULL DEFAULT '0',
  `imagewidth` varchar(3) NOT NULL DEFAULT '0',
  `imageheight` varchar(3) NOT NULL DEFAULT '0',
  `sitevisits` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- Dumping data for table mgr_settings: 1 rows
INSERT INTO `mgr_settings` (`id`, `website`, `email`, `homepage`, `folder`, `date_format`, `mysql_date`, `date_ts`, `language`, `modr`, `disable`, `sameip`, `music`, `calendar`, `emoticons`, `poems`, `advdate`, `meslimit`, `thumbrow`, `thumbpage`, `duration`, `stamps`, `mlist`, `favourites`, `news`, `reminders`, `paypal`, `useruploads`, `filetypes`, `maxsize`, `booklimit`, `ecardlimit`, `senttotal`, `autothumb`, `autowidth`, `autoheight`, `thumbwidth`, `thumbheight`, `imagewidth`, `imageheight`, `sitevisits`) VALUES
	(1, 'Your Website', 'you@youremail.com', 'http://www.yoursite.com', 'http://www.yoursite.com/greetings', 'j F Y', '%e %b %Y', '2012-02-29 22:25:38', 'english.php', '0', '0', '0', '1', '1', '1', '0', '30', '0', 4, 20, 30, '1', '1', '1', '', '1', '0', '1', '.jpg|.gif|.png|.jpeg', '256000', '10', '10', '10', '1', '90', '60', '90', '60', '320', '240', 0);

-- Dumping structure for table mgr_subcategories
DROP TABLE IF EXISTS `mgr_subcategories`;
CREATE TABLE IF NOT EXISTS `mgr_subcategories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent` int(5) NOT NULL DEFAULT '0',
  `subname` varchar(100) NOT NULL DEFAULT '',
  `comments` text NOT NULL,
  `guests` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- Dumping structure for table mgr_uploads
DROP TABLE IF EXISTS `mgr_uploads`;
CREATE TABLE IF NOT EXISTS `mgr_uploads` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `file_name` varchar(100) NOT NULL DEFAULT '',
  `file_size` int(10) unsigned NOT NULL DEFAULT '0',
  `account` int(10) unsigned NOT NULL DEFAULT '0',
  `file_date` date DEFAULT NULL,
  `status` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
