CREATE TABLE mgr_poems (
  id                       INT(5) NOT NULL auto_increment,
  title                    TEXT NOT NULL default '',
  poem                     TEXT NOT NULL default '',
  addDate                  DATE,
PRIMARY KEY(id)) TYPE=MyISAM;

INSERT INTO mgr_helptopics (question, answer, addDate) VALUES ('How do I preview poems?', 'Look for the &#039;Preview&#039; link next to the drop down menu listing the poems. This will open a new window. In the new window, use the drop down menu to select a poem to view it.', now());

ALTER TABLE mgr_settings ADD COLUMN poems ENUM('0','1') NOT NULL default '0' AFTER emoticons;
ALTER TABLE mgr_settings ADD COLUMN paypal ENUM('0','1') NOT NULL default '0' AFTER reminders;

ALTER TABLE mgr_sentcards ADD COLUMN poem INT(7) NOT NULL default '0' AFTER music;
ALTER TABLE mgr_sentcards ADD COLUMN guest ENUM('0','1') NOT NULL default '0' AFTER cardstatus;

ALTER TABLE mgr_categories ADD COLUMN guests ENUM('0','1') NOT NULL default '0' AFTER icon;
ALTER TABLE mgr_subcategories ADD COLUMN guests ENUM('0','1') NOT NULL default '0' AFTER comments;

ALTER TABLE mgr_sendlog ADD COLUMN guest ENUM('0','1') NOT NULL default '0' AFTER recipients;
ALTER TABLE mgr_sendlog ADD COLUMN poem INT(7) NOT NULL default '0' AFTER music;

CREATE TABLE mgr_paypal (
  id                        TINYINT (2) NOT NULL auto_increment,
  ppCost                    VARCHAR (20) NOT NULL default '',
  ppLimit                   VARCHAR(10) NOT NULL default '',
  ppEmail                   VARCHAR(250) NOT NULL default '',
  ppThanks                  TEXT NOT NULL default '',
  ppCancel                  TEXT NOT NULL default '',
  ppLog                     ENUM('0','1') NOT NULL default '0',
  ppSandbox                 ENUM('0','1') NOT NULL default '0',
  ppStyle                   VARCHAR (100) NOT NULL default '',
  ppCurrency                CHAR(3) NOT NULL default 'GBP',
PRIMARY KEY(id)) TYPE=MyISAM;

INSERT INTO mgr_paypal (id,ppCost,ppLimit,ppEmail,ppThanks,ppCancel,ppLog,ppSandbox,ppStyle,ppCurrency
                       ) VALUES (
                       '1','0.00','0','you@yoursite.com','http://www.yoursite.com/greetings/index.php?cmd=thanks',
                       'http://www.yoursite.com/greetings/index.php?cmd=cancel','0','0','','GBP');

ALTER TABLE mgr_accounts ADD COLUMN paypal VARCHAR(17) NOT NULL default '' AFTER ipaddress;

CREATE TABLE mgr_ipndata (
  id                       INT(7) NOT NULL auto_increment,
  first_name               VARCHAR(64) NOT NULL default '',
  last_name                VARCHAR(64) NOT NULL default '',
  pay_date                 DATE,
  address                  TEXT,
  email                    VARCHAR(127) NOT NULL default '',
  item_name                VARCHAR(127) NOT NULL default '',
  item_number              VARCHAR(127) NOT NULL default '',
  memo                     TEXT,
  payment_status           VARCHAR(20) NOT NULL default '',
  pending_reason           VARCHAR(20) NOT NULL default '',
  gross                    VARCHAR(10) NOT NULL default '',
  fee                      VARCHAR(10) NOT NULL default '',
  txn_id                   VARCHAR(17) NOT NULL default '',
  memberid                 INT (8) NOT NULL default '0',
  username                 VARCHAR(100) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;