<?php

/*++++++++++++++++++++++++++++++++++++++++

  Script: Maian Greetings v2.1
  Written by: David Ian Bennett
  E-Mail: N/A
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++
  
  This File: functions.php
  Description: Program Functions

  ++++++++++++++++++++++++++++++++++++++++*/

//=================================================
// FUNCTION: paypal_data()
// PARAM: 0
// DESC: Gets paypal data into array
// Added in v2.1
//=================================================

function paypal_data()
{
  global $database;
  
  $query = mysql_query("SELECT * FROM ".$database['prefix']."paypal LIMIT 1") or die(mysql_error());
  
  return mysql_fetch_object($query);
}
  
//=================================================
// FUNCTION: get_cur_symbol()
// PARAM: 1
// DESC: Return cost of payment with cur symbol
// Added in v2.1
//=================================================

function get_cur_symbol($price,$cur)
{
  $symbol = '';
  
  switch($cur)
  {
    case "USD":
    case "AUD":
    case "CAD":
    $symbol = '&#036;';
    break;

    case "GBP":
    $symbol = '&#163;';
    break;

    case "JPY":
    $symbol = '&#165;';
    break;

    case "EUR":
    $symbol = '&euro;';
    break;
  }
  
  return $symbol.$price;
}
  
//========================================================
// FUNCTION: guest_privileges()
// PARAM: 1
// DESC: Checks if guests have send card privileges
//       from a category or sub category
// Added in v2.1
//========================================================

function guest_privileges($id)
{
  global $database;
  
  $q_img = mysql_query("SELECT cat FROM ".$database['prefix']."images WHERE id = '$id' LIMIT 1") or die(mysql_error());
  $img = mysql_fetch_object($q_img);

  // If cat contains an underscore, its a sub cat..

  if (strstr($img->cat,'_'))
  {
    $q_cat = mysql_query("SELECT guests FROM ".$database['prefix']."subcategories WHERE id = '".substr($img->cat,strrpos($img->cat,'_')+1)."' LIMIT 1") or die(mysql_error());
    $cat = mysql_fetch_object($q_cat);
  }
  else
  {
    $q_cat = mysql_query("SELECT guests FROM ".$database['prefix']."categories WHERE id = '".(int)$img->cat."' LIMIT 1") or die(mysql_error());
    $cat = mysql_fetch_object($q_cat);
  }

  return $cat->guests;
}

//========================================================
// FUNCTION: show_poem($id)
// PARAM: 1
// DESC: Gets poem data based on ID
// Added in v2.1
//========================================================

function show_poem($status,$id)
{
  global $database;

  $display_poem_data = '';

  if ($status && $id>0)
  {
    $q_poem = mysql_query("SELECT * FROM ".$database['prefix']."poems WHERE id = '$id' LIMIT 1") or die(mysql_error());
    $POEM = mysql_fetch_object($q_poem);

    $display_poem_data = '<br><br>
                          <fieldset>
                          <legend>'.cleanData($POEM->title).'</legend><br>
                          '.nl2br(cleanData($POEM->poem)).'
                          </fieldset>
                          ';
  }
  
  return $display_poem_data;
}

//=======================================
// FUNCTION: show_errors()
// PARAM: 3
// DESC: Shows form processing errors
//=======================================

function show_errors($msg,$errors=array(),$verify='')
{
?>
<table width="100%" cellpadding="0" cellspacing="0" style="border:1px dashed #FF0000">
<tr>
    <td align="left" style="color:red;padding:10px" width="90%">
    <?php echo ($verify ? $verify : '<i>'.$msg.'</i>'); ?><br><br>
    <?php

    //Show errors

    if (!empty($errors))
    {
      foreach ($errors as $show)
      {
        echo "&#8226; " . $show . "<br>\n";
      }
    }

    unset($errors);

    ?>
    </td>
    <td align="center" width="10%"><img src="images/error.gif" alt="" title=""></td>
</tr>
</table><br>
<?php
}

//=======================================
// FUNCTION: show_errors_extended()
// PARAM: 3
// DESC: Shows error for the following:
//       Banned URL
//       Banned Account
//       System Disabled
//=======================================

function show_errors_extended($msg,$txt,$gif,$color='#FF0000')
{
?>
<table width="100%" cellpadding="0" cellspacing="0" style="background-color:#F0F6FF;border:1px solid #FF0000">
<tr>
    <td align="left" style="color:<?php echo $color; ?>;padding:20px;font-size:18px" width="90%"><?php echo $msg; ?></td>
    <td align="center" width="10%"><img src="images/<?php echo $gif; ?>" alt="<?php echo $msg; ?>" title="<?php echo $msg; ?>"></td>
</tr>
</table><br>
<?php echo $txt; ?>
<?php
}

//======================================
// FUNCTION: show_thanks()
// PARAM: 1
// DESC: Form process successful
//======================================

function show_thanks($msg)
{
?>
<table width="100%" cellpadding="0" cellspacing="0" style="border:1px dashed #000000">
<tr>
    <td align="left" style="padding:10px" width="90%"><?php echo $msg; ?></td>
    <td align="center" width="10%"><img src="images/thanks.gif" alt="" title=""></td>
</tr>
</table><br>
<?php
}

//======================================================================================
// FUNCTION: build_categories()
// PARAM: 5
// DESC: Build E-Card Category Data
//
// USER INFO
//
// The variables passed into the function are default values
// If you change row data in your settings it will over write these
// Values here are mainly for development purposes
//=====================================================================================

function build_categories($prefix,$msg,$cells=4,$width=185,$table=740)
{
  global $SETTINGS;
  
  //Colour Options
  
  $border_color      = 'border:1px solid #68A7DA';
  $bg_color_options  = 'background-color:#F0F6FF;border-top:1px solid #68A7DA';
  $disable_cats      = array(); // Enter id numbers of cats you want to disable..example: array(1,34,67)

  //Create new class instance to build mod rewrite urls..

  $MAIANBUILD = new images();

  $count   = 0;
  $content = '';

  $content = "\n".'<!-- DISPLAY E_CARD CATEGORIES -->'."\n";
  $content .= '<div align="center"><br>'."\n";
  $content .= '<table border="0" width="'.$table.'" cellpadding="0" cellspacing="0">'."\n";
  $content .= "<tr>\n";
  
  if (!empty($disable_cats)) {
    for ($i=0; $i<count($disable_cats); $i++) {
      $no_display .= ($i ? ' AND id!=\''.$disable_cats[$i].'\' ' : 'WHERE id!=\''.$disable_cats[$i].'\'');
    }
  }
  
  $q_cats = mysql_query("SELECT * FROM ".$prefix."categories ".(isset($no_display) ? $no_display : '')." 
                         ORDER BY catname") or die(mysql_error());

  //Cell/Table width calculation based on number of images per row

  if (mysql_num_rows($q_cats)>0)
  {
    $width = (int)floor($table/(mysql_num_rows($q_cats)<$cells ? mysql_num_rows($q_cats) : $cells));
  }
  
  while ($CATS = mysql_fetch_assoc($q_cats))
  {
    //Does this category have sub categories?..

    $q_subs = mysql_query("SELECT * FROM ".$prefix."subcategories WHERE parent = '".(int)$CATS['id']."' ORDER BY subname") or die(mysql_error());

    $sub_cat_data  = '';
    $c             = 0;
    $d             = 0;

    if (mysql_num_rows($q_subs))
    {
      while ($SUBS = mysql_fetch_assoc($q_subs))
      {
        //Assign count for images count for images with this sub category..

        $q_total2 = mysql_query("SELECT count(*) as img_count2 FROM ".$prefix."images WHERE cat = '".(int)$CATS['id']."_".(int)$SUBS['id']."'") or die(mysql_error());
        $COUNT2 = mysql_fetch_object($q_total2);
          
        $c = $c + $sub_count = $COUNT2->img_count2;

        //Build data to display sub categories..

        $sub_cat_data .= '&raquo; <a href="'.($SETTINGS->modr ? $MAIANBUILD->mod_rewrite($SETTINGS->modr,'index.php?cmd=images&amp;cat=',(int)$CATS['id']."_".(int)$SUBS['id']) : 'index.php?cmd=images&amp;cat='.(int)$CATS['id']."_".(int)$SUBS['id']).'" title="'.cleanData($SUBS['subname']).'">'.cleanData($SUBS['subname']).'</a><br>';

        unset($COUNT2,$q_total2);
      }
    }
    else
    {
      //Get count of images in images folder for category with NO sub cats..

      $q_total = mysql_query("SELECT count(*) as img_count FROM ".$prefix."images WHERE cat = '".(int)$CATS['id']."'") or die(mysql_error());
      $IMG_COUNT = mysql_fetch_object($q_total);
      
      $d = (int)$IMG_COUNT->img_count;

      $sub_cat_data .= '&raquo; <a href="'.($SETTINGS->modr ? $MAIANBUILD->mod_rewrite($SETTINGS->modr,'index.php?cmd=images&amp;cat=',(int)$CATS['id']) : 'index.php?cmd=images&amp;cat='.(int)$CATS['id']).'" title="'.cleanData($CATS['catname']).'">'.cleanData($CATS['catname']).'</a>';
    }

    $content .= '<td valign="top" align="left" width="'.($width-5).'">'."\n";
    $content .= '<table border="0" width="100%" cellpadding="0" cellspacing="0" style="'.$border_color.'">'."\n";
    $content .= '<tr>'."\n";
    
    //-----------------------------------
    // If we have sub cats, show links
    //-----------------------------------

    if (mysql_num_rows($q_subs)>0)
    {
      $content .= '    <td valign="top" width="20%" align="center" style="padding:5px">'.($CATS['icon']!='no_icon.gif' ? '<a href="'.($SETTINGS->modr ? $MAIANBUILD->mod_rewrite($SETTINGS->modr,'index.php?cmd=subcat&amp;cat=',(int)$CATS['id']) : 'index.php?cmd=subcat&amp;cat='.(int)$CATS['id']).'"><img src="images/icons/'.$CATS['icon'] . '" border="1" alt="'.cleanData($CATS['catname']).'" title="'.cleanData($CATS['catname']).'"></a>' : '<img src="images/icons/no_icon.gif' . '" border="1" alt="'.cleanData($CATS['catname']).'" title="'.cleanData($CATS['catname']).'">').'</td>'."\n";
      $content .= '    <td valign="top" width="80%" align="left" style="padding:5px"><span class="cardheader"><a href="'.($SETTINGS->modr ? $MAIANBUILD->mod_rewrite($SETTINGS->modr,'index.php?cmd=subcat&amp;cat=',(int)$CATS['id']) : 'index.php?cmd=subcat&amp;cat='.(int)$CATS['id']).'" title="'.cleanData($CATS['catname']).'">'.cleanData($CATS['catname']).'</a></span><br><br>'.$msg.': '.($d+$c).'</td>'."\n";
    }
    else
    {
      $content .= '    <td valign="top" width="20%" align="center" style="padding:5px">'.($CATS['icon']!='no_icon.gif' ? '<img src="images/icons/'.$CATS['icon'] . '" border="1" alt="'.cleanData($CATS['catname']).'" title="'.cleanData($CATS['catname']).'">' : '<img src="images/icons/no_icon.gif' . '" border="1" alt="'.cleanData($CATS['catname']).'" title="'.cleanData($CATS['catname']).'">').'</td>'."\n";
      $content .= '    <td valign="top" width="80%" align="left" style="padding:5px"><span class="cardheader">'.cleanData($CATS['catname']).'</span><br><br>'.$msg.': '.($d+$c).'</td>'."\n";
    }

    $content .= '</tr>'."\n";
    $content .= '<tr>'."\n";
    $content .= '    <td colspan="2" valign="top" style="padding:4px;'.$bg_color_options.'" height="60"><span class="sublink">'.$sub_cat_data.'</span></td>'."\n";
    $content .= '</tr>'."\n";

    $content .= '</table><br>'."\n";
    $content .= '</td>'."\n";
    $content .= '<td width="5">&nbsp;</td>'."\n";

    if (++$count % $cells === 0)
    {
      $content .= "</tr>\n";

      if ($count != mysql_num_rows($q_cats))
      {
        $content .= "<tr>\n";
      }
    }
    
    unset ($sub_cat_data,$d,$SUBS,$q_subs,$c);
 }

 if ($count % $cells !== 0)
 {
   $content .= "</tr>\n";
 }

 $content .= '</table>'."\n";
 $content .= '</div>'."\n";
 $content .= '<!-- END DISPLAY E_CARD CATEGORIES -->'."\n";

 return $content;
}  

//======================================
// FUNCTION: show_events()
// PARAM: 3
// DESC: Display event data
//======================================

function show_events($msg,$link,$class)
{
  global $SETTINGS;
  
  $data = '<tr>'."\n";
  $data .= '   <td class="header" colspan="2" align="left">&raquo; <b>'.$msg.'</b></td>'."\n";
  $data .= '</tr>'."\n";
  $data .= '<tr>'."\n";
  $data .= '   <td align="center" valign="top" style="padding:10px;" colspan="2" class="main">'."\n";

  //Loads from 'classes/class_images.inc.php
  //Function: display_events()

  $data .= $class;
  
  //End class loading

  $data .= '   </td>'."\n";
  $data .= '</tr>'."\n";
  $data .= '<tr>'."\n";
  $data .= '   <td colspan="2" class="main" align="center" style="padding:5px">&raquo; <b><a href="'.($SETTINGS->modr ? 'calendar.html' : 'index.php?cmd=calendar').'" title="'.$link.'">'.$link.'</a></b><br><br></td>'."\n";
  $data .= '</tr>'."\n";

  return $data;
}

//=================================================
// FUNCTION: cleanData()
// PARAM: 1
// DESC: Removes slashes if magic quotes are on
//=================================================

function cleanData($data)
{
  if (get_magic_quotes_gpc())
  {
    $data = stripslashes($data);
  }

  return $data;
}

//=====================================================================
// FUNCTION: random_stamp()
// PARAM: 2
// DESC: Returns image from stamp directory
//       Can be random or default stamp
//====================================================================

function random_stamp($single,$img='default.gif')
{
  if ($single && file_exists('images/stamps/'.$img)) { return $img; exit; }

  $img = array();

  $dir = opendir('images/stamps/');
  
  while ($read = readdir($dir))
  {
    if ($read!='.' && $read!='..' && $read!='index.html' && $read!='default.gif')
    {
      $img[] = $read;
    }
  }
  
  closedir($dir);
  
  shuffle($img);
  
  return $img[0];
}

//=======================================
// FUNCTION: card_stats()
// PARAM: 2
// DESC: Calculate Stats
//=======================================

function card_stats($msg,$time)
{
  global $database;

  $count = 0;

  $q_cats = mysql_query("SELECT * FROM ".$database['prefix']."categories ORDER BY catname") or die(mysql_error());

  while ($CATS = mysql_fetch_assoc($q_cats))
  {
    $q_sub = mysql_query("SELECT count(*) as s_count FROM ".$database['prefix']."subcategories WHERE parent = '".(int)$CATS['id']."' ORDER BY subname") or die(mysql_error());
    $SUB = mysql_fetch_object($q_sub);
    
    if ($SUB->s_count==0)
    {
      $count++;
    }
    else
    {
      $count = $count+$SUB->s_count;
    }
  }

  //Get image count

  $q3 = mysql_query("SELECT count(*) as i_count FROM ".$database['prefix']."images") or die(mysql_error());
  $r3 = mysql_fetch_object($q3);
  
  $find     = array('%d', '%e', '%f');
  $replace  = array($r3->i_count, $count, $time);
  
  return str_replace($find, $replace, $msg);
}

//=======================================
// FUNCTION: script_execution_time()
// DESC: Calculate Page Loading Time
// PARAM: 0
//=======================================

function script_execution_time()
{
  $mtime     = explode( " ",microtime());
  $msec      = (double)$mtime[0];
  $sec       = (double)$mtime[1];
  
  return $sec + $msec;
}

//=======================================
// FUNCTION: get_ip_addresses()
// DESC: Get banned IP addresses
// PARAM: 0
//=======================================

function get_ip_addresses()
{
  global $database;

  $ips = array();

  $q = mysql_query("SELECT ip FROM ".$database['prefix']."ipaddress ORDER BY ip") or die(mysql_error());
  
  if (mysql_num_rows($q)>0)
  {
    while ($IPA = mysql_fetch_assoc($q))
    {
      $ips[] = $IPA['ip'];
    }
  }
  
  return $ips;
}

//=======================================
// FUNCTION: auto_del_faves()
// DESC: Auto Delete Favourites
// PARAM: 0
//=======================================

function auto_del_faves()
{
  global $database;

  if (AUTO_DEL_FAVES>0)
  {
    $date = date("Y-m-d", strtotime("-".AUTO_DEL_FAVES." days"));
    
    mysql_query("DELETE FROM ".$database['prefix']."favourites WHERE addDate <= '$date'") or die(mysql_error());
  }
}

//=======================================
// FUNCTION: show_dates()
// DESC: Dates for Reminders
// PARAM: 4
//=======================================

function show_dates($id='',$t_day='',$t_month='',$t_year='')
{
  global $msg_calendar,$msg_calendar2,$msg_calendar3,$msg_calendar4,$msg_calendar5,
         $msg_calendar6,$msg_calendar7,$msg_calendar8,$msg_calendar9,$msg_calendar10,
         $msg_calendar11,$msg_calendar12;
         
  include('cal_array.inc.php');

  $data = '';
  
  $data = '<select name="to_day">
           <option'.(!$id ? ' selected ' : ' ').'value="0"> - </option>';
           
           foreach ($days as $s_days)
           {
             $data .= "<option".($t_day && $t_day==$s_days ? ' selected ' : ' ')."value=\"" . $s_days . "\">" . $s_days . "</option>\n";
           }

  $data  .= '</select>
             <select name="to_month">
             <option'.(!$id ? ' selected ' : ' ').'value="0"> - </option>';
        
             foreach ($months as $s_months => $s_months_value)
             {
               $data .= "<option".($t_month && $t_month==$s_months ? ' selected ' : ' ')."value=\"" . $s_months . "\">" . $s_months_value . "</option>\n";
             }
        
   $data .= '</select>
            <select name="to_year">
            <option'.(!$id ? ' selected ' : ' ').'value="0"> - </option>';
            
            foreach ($years as $s_years)
            {
              $data .= "<option".($t_year && $t_year==$s_years ? ' selected ' : ' ')."value=\"" . $s_years . "\">" . $s_years . "</option>\n";
            }

   $data .= '</select>';
   
   return $data;
}

//=======================================
// FUNCTION: get_member_count()
// DESC: Get member count
// PARAM: 0
//=======================================

function get_member_count()
{
  global $database;
  
  $q = mysql_query("SELECT count(*) as m_count FROM ".$database['prefix']."accounts WHERE active = '1'") or die(mysql_error());
  $r = mysql_fetch_object($q);
  
  return number_format($r->m_count);
}

//=========================================
// FUNCTION: show_home_buy_button()
// DESC: Displays payment link in member
//  account area if payment is needed
// PARAM: 1
// Added in v2.1
//=========================================

function show_home_buy_button($price)
{
  global $SETTINGS,$MEMBER,$msg_ecard82,$msg_ecard83,$msg_ecard87;
  
  // Are we initialising Paypal from the start?
  
  if (isset($MEMBER) && $SETTINGS->ecardlimit==0 && $SETTINGS->paypal && $MEMBER->cardlimit==0)
  {
    $payZero = true;
  }
  if (isset($MEMBER) && $MEMBER->cardlimit>0 && ($MEMBER->cardlimit==$MEMBER->usertotal))
  {
    $pay = true;
  }

  $table   = '';
  $table2  = '';

  $table = '<br><br>
            <table border="0" cellpadding="0" cellspacing="0" width="100%" style="'.STYLE_ATTR3.'">
            <tr>
                <td align="left" style="padding:5px">'.str_replace("%d", $price, (isset($payZero) ? $msg_ecard87 : $msg_ecard82)).'</td>
            </tr>
            <tr>
                <td align="center" style="padding:5px"><br><a href="'.($SETTINGS->modr ? 'paypal_process.html' : 'index.php?cmd=process&amp;loading=1').'"><img src="images/paypal.gif" border="1" title="'.$msg_ecard83.'" alt="'.$msg_ecard83.'"></a><br><br></td>
            </tr>
            </table>
            ';
            
  return ($SETTINGS->paypal && (isset($pay) || isset($payZero)) ? $table : $table2);
}

// Recursive way of handling multi dimensional arrays..
// This cleans query string data and prevents code injections..
function multiDimensionalArrayMap($func,$arr) {
  $newArr = array();
  if (!empty($arr)) {
    foreach($arr AS $key => $value) {
      $newArr[$key] = (is_array($value) ? multiDimensionalArrayMap($func,$value) : $func($value));
    }
  }
  return $newArr;
}

$_GET  = multiDimensionalArrayMap('htmlspecialchars',$_GET);

?>
