<?php

/*++++++++++++++++++++++++++++++++++++++++

  Script: Maian Greetings v2.1
  Written by: David Ian Bennett
  E-Mail: N/A
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++

  This File: tables.php
  Description: Table Data Array

  ++++++++++++++++++++++++++++++++++++++++*/

$tData = array(
               "settings"        => "id                        TINYINT(1) NOT NULL auto_increment,
                                     website                   VARCHAR(100) NOT NULL default '',
                                     email                     VARCHAR(100) NOT NULL default '',
                                     homepage                  VARCHAR(250) NOT NULL default '',
                                     folder                    VARCHAR(250) NOT NULL default '',
                                     date_format               VARCHAR(25) NOT NULL default '',
                                     mysql_date                VARCHAR(25) NOT NULL default '',
                                     date_ts                   timestamp(14) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
                                     language                  VARCHAR(40) NOT NULL default '',
                                     modr                      ENUM('0','1') NOT NULL default '0',
                                     disable                   ENUM('0','1') NOT NULL default '0',
                                     sameip                    ENUM('0','1') NOT NULL default '0',
                                     music                     ENUM('0','1') NOT NULL default '0',
                                     calendar                  ENUM('0','1') NOT NULL default '0',
                                     emoticons                 ENUM('0','1') NOT NULL default '0',
                                     poems                     ENUM('0','1') NOT NULL default '0',
                                     advdate                   VARCHAR(3) NOT NULL default '0',
                                     meslimit                  VARCHAR(4) NOT NULL default '0',
                                     thumbrow                  TINYINT(2) NOT NULL default '0',
                                     thumbpage                 TINYINT(3) NOT NULL default '0',
                                     duration                  INT(3) NOT NULL default '0',
                                     stamps                    ENUM('0','1') NOT NULL default '0',
                                     mlist                     ENUM('0','1') NOT NULL default '0',
                                     favourites                ENUM('0','1') NOT NULL default '0',
                                     news                      TEXT NOT NULL,
                                     reminders                 ENUM('0','1') NOT NULL default '0',
                                     paypal                    ENUM('0','1') NOT NULL default '0',
                                     useruploads               ENUM('0','1') NOT NULL default '0',
                                     filetypes                 TEXT NOT NULL,
                                     maxsize                   VARCHAR(15) NOT NULL default '0',
                                     booklimit                 VARCHAR(10) NOT NULL default '0',
                                     ecardlimit                VARCHAR(10) NOT NULL default '0',
                                     senttotal                 VARCHAR(15) NOT NULL default '0',
                                     autothumb                 ENUM('0','1') NOT NULL default '0',
                                     autowidth                 VARCHAR(3) NOT NULL default '0',
                                     autoheight                VARCHAR(3) NOT NULL default '0',
                                     thumbwidth                VARCHAR(3) NOT NULL default '0',
                                     thumbheight               VARCHAR(3) NOT NULL default '0',
                                     imagewidth                VARCHAR(3) NOT NULL default '0',
                                     imageheight               VARCHAR(3) NOT NULL default '0',
                                     sitevisits                INT UNSIGNED NOT NULL default '0',
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "paypal"          => "id                        TINYINT (2) NOT NULL auto_increment,
                                     ppCost                    VARCHAR (20) NOT NULL default '',
                                     ppLimit                   VARCHAR(10) NOT NULL default '',
                                     ppEmail                   VARCHAR(250) NOT NULL default '',
                                     ppThanks                  TEXT NOT NULL,
                                     ppCancel                  TEXT NOT NULL,
                                     ppLog                     ENUM('0','1') NOT NULL default '0',
                                     ppSandbox                 ENUM('0','1') NOT NULL default '0',
                                     ppStyle                   VARCHAR (100) NOT NULL default '',
                                     ppCurrency                CHAR(3) NOT NULL default 'GBP',
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "categories"      => "id                        INT UNSIGNED NOT NULL auto_increment,
                                     catname                   VARCHAR(100) NOT NULL default '',
                                     comments                  TEXT NOT NULL,
                                     icon                      VARCHAR(250) NOT NULL default '',
                                     guests                    ENUM('0','1') NOT NULL default '0',
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "subcategories"   => "id                        INT UNSIGNED NOT NULL auto_increment,
                                     parent                    INT(5) NOT NULL default '0',
                                     subname                   VARCHAR(100) NOT NULL default '',
                                     comments                  TEXT NOT NULL,
                                     guests                    ENUM('0','1') NOT NULL default '0',
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "ipaddress"       => "id                        INT UNSIGNED NOT NULL auto_increment,
                                     ip                        VARCHAR(32) NOT NULL default '',
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "events"          => "id                        INT(5) NOT NULL auto_increment,
                                     name                      VARCHAR(100) NOT NULL default '',
                                     fromDate                  DATE,
                                     toDate                    DATE,
                                     comments                  TEXT NOT NULL,
                                     activate                  ENUM('0','1') NOT NULL default '0',
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "emoticons"       => "eid                       INT(5) NOT NULL auto_increment,
                                     ename                     VARCHAR(40) NOT NULL default '',
                                     etext                     VARCHAR(40) NOT NULL default '',
                                     epath                     VARCHAR(50) NOT NULL default '',
                                     esize                     INT(10) NOT NULL default '0',
                                     UNIQUE (epath),
                                     PRIMARY KEY(eid)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "music"           => "mid                       INT(5) NOT NULL auto_increment,
                                     mname                     VARCHAR(100) NOT NULL default '',
                                     martist                   VARCHAR(100) NOT NULL default '',
                                     mpath                     VARCHAR(50) NOT NULL default '',
                                     msize                     INT(10) NOT NULL default '0',
                                     UNIQUE (mpath),
                                     PRIMARY KEY(mid)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "images"          => "id                        INT UNSIGNED NOT NULL auto_increment,
                                     name                      VARCHAR(200) NOT NULL default '',
                                     addDate                   DATE,
                                     cat                       VARCHAR(10) NOT NULL default '0',
                                     event                     INT (5) NOT NULL default '0',
                                     comments                  TEXT NOT NULL,
                                     isize                     INT(10) NOT NULL default '0',
                                     tsize                     INT(10) NOT NULL default '0',
                                     imagepath                 VARCHAR(100) NOT NULL default '',
                                     thumbpath                 VARCHAR(100) NOT NULL default '',
                                     visits                    INT UNSIGNED NOT NULL default '0',
                                     sent                      INT UNSIGNED NOT NULL default '0',
                                     UNIQUE(imagepath),
                                     UNIQUE(thumbpath),
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "accounts"        => "id                        INT(5) NOT NULL auto_increment,
                                     username                  VARCHAR(100) NOT NULL default '',
                                     userpass                  CHAR(32) NOT NULL default '',
                                     useremail                 VARCHAR(250) NOT NULL default '',
                                     usertotal                 INT UNSIGNED NOT NULL default '0',
                                     userdate                  DATE,
                                     booklimit                 INT UNSIGNED NOT NULL default '0',
                                     cardlimit                 INT UNSIGNED NOT NULL default '0',
                                     random                    VARCHAR(10) NOT NULL default '0',
                                     active                    ENUM('0','1') NOT NULL default '0',
                                     list                      ENUM('0','1') NOT NULL default '0',
                                     banned                    ENUM('0','1') NOT NULL default '0',
                                     sitevisits                INT UNSIGNED NOT NULL default '0',
                                     referer                   VARCHAR(100) NOT NULL default '',
                                     ipaddress                 VARCHAR(50) NOT NULL default '',
                                     paypal                    VARCHAR(17) NOT NULL default '',
                                     UNIQUE (username),
                                     UNIQUE (useremail),
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "addressbook"     => "id                        INT(5) NOT NULL auto_increment,
                                     name                      VARCHAR(100) NOT NULL default '',
                                     email                     VARCHAR(250) NOT NULL default '',
                                     account                   INT UNSIGNED NOT NULL default '0',
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "uploads"         => "id                        INT(5) NOT NULL auto_increment,
                                     file_name                 VARCHAR(100) NOT NULL default '',
                                     file_size                 INT UNSIGNED NOT NULL default '0',
                                     account                   INT UNSIGNED NOT NULL default '0',
                                     file_date                 date,
                                     status                    ENUM('0','1') NOT NULL default '0',
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "sentcards"       => "id                        INT UNSIGNED NOT NULL auto_increment,
                                     rname                     VARCHAR(100) NOT NULL default '',
                                     remail                    VARCHAR(250) NOT NULL default '',
                                     vname                     VARCHAR(100) NOT NULL default '',
                                     vemail                    VARCHAR(250) NOT NULL default '',
                                     accname                   VARCHAR(100) NOT NULL default '',
                                     accemail                  VARCHAR(250) NOT NULL default '',
                                     account                   INT UNSIGNED NOT NULL default '0',
                                     unicode                   CHAR(11) NOT NULL default '',
                                     music                     INT(7) NOT NULL default '0',
                                     poem                      INT(7) NOT NULL default '0',
                                     comments                  TEXT NOT NULL,
                                     sendDate                  date,
                                     delDate                   date,
                                     cardid                    VARCHAR(100) NOT NULL default '',
                                     notify                    ENUM('0','1','2') NOT NULL default '0',
                                     pickup                    INT(5) NOT NULL default '0',
                                     recipients                INT (7) NOT NULL default '0',
                                     refcode                   CHAR(5) NOT NULL default '',
                                     cardstatus                ENUM('0','1') NOT NULL default '0',
                                     guest                     ENUM('0','1') NOT NULL default '0',
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "sendlog"         => "id                        INT UNSIGNED NOT NULL auto_increment,
                                     rname                     VARCHAR(100) NOT NULL default '',
                                     remail                    VARCHAR(250) NOT NULL default '',
                                     vname                     VARCHAR(100) NOT NULL default '',
                                     vemail                    VARCHAR(250) NOT NULL default '',
                                     accname                   VARCHAR(100) NOT NULL default '',
                                     accemail                  VARCHAR(250) NOT NULL default '',
                                     account                   INT UNSIGNED NOT NULL default '0',
                                     unicode                   CHAR(11) NOT NULL default '',
                                     music                     INT(7) NOT NULL default '0',
                                     poem                      INT(7) NOT NULL default '0',
                                     comments                  TEXT NOT NULL,
                                     sendDate                  date,
                                     delDate                   date,
                                     cardid                    VARCHAR(100) NOT NULL default '',
                                     notify                    ENUM('0','1','2') NOT NULL default '0',
                                     pickup                    INT(5) NOT NULL default '0',
                                     recipients                INT (7) NOT NULL default '0',
                                     guest                     ENUM('0','1') NOT NULL default '0',
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "favourites"      => "id                        INT(5) NOT NULL auto_increment,
                                     account                   INT UNSIGNED NOT NULL default '0',
                                     card                      INT UNSIGNED NOT NULL default '0',
                                     addDate                   DATE,
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "reminders"       => "id                        INT(5) NOT NULL auto_increment,
                                     name                      VARCHAR(50) NOT NULL default '',
                                     account                   INT UNSIGNED NOT NULL default '0',
                                     eventDate                 DATE,
                                     addDate                   DATE,
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "helptopics"      => "id                        INT(5) NOT NULL auto_increment,
                                     question                  TEXT NOT NULL,
                                     answer                    TEXT NOT NULL,
                                     addDate                   DATE,
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "ipndata"         => "id                       INT(7) NOT NULL auto_increment,
                                     first_name               VARCHAR(64) NOT NULL default '',
                                     last_name                VARCHAR(64) NOT NULL default '',
                                     pay_date                 DATE,
                                     address                  TEXT,
                                     email                    VARCHAR(127) NOT NULL default '',
                                     item_name                VARCHAR(127) NOT NULL default '',
                                     item_number              VARCHAR(127) NOT NULL default '',
                                     memo                     TEXT,
                                     payment_status           VARCHAR(20) NOT NULL default '',
                                     pending_reason           VARCHAR(20) NOT NULL default '',
                                     gross                    VARCHAR(10) NOT NULL default '',
                                     fee                      VARCHAR(10) NOT NULL default '',
                                     txn_id                   VARCHAR(17) NOT NULL default '',
                                     memberid                 INT (8) NOT NULL default '0',
                                     username                 VARCHAR(100) NOT NULL default '',
                                     PRIMARY KEY  (id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;",

               "poems"           => "id                       INT(5) NOT NULL auto_increment,
                                     title                    TEXT NOT NULL,
                                     poem                     TEXT NOT NULL,
                                     addDate                  DATE,
                                     PRIMARY KEY(id)) ENGINE=MyISAM DEFAULT CHARSET=utf8;"

);

?>
